"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeFavoritePostResponse = exports.deserializeIntoFavoritePostResponse = exports.createFavoritePostResponseFromDiscriminatorValue = void 0;
function createFavoritePostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFavoritePostResponse;
}
exports.createFavoritePostResponseFromDiscriminatorValue = createFavoritePostResponseFromDiscriminatorValue;
function deserializeIntoFavoritePostResponse(favoritePostResponse = {}) {
    return {
        "value": n => { favoritePostResponse.value = n.getBooleanValue(); },
    };
}
exports.deserializeIntoFavoritePostResponse = deserializeIntoFavoritePostResponse;
function serializeFavoritePostResponse(writer, favoritePostResponse = {}) {
    writer.writeBooleanValue("value", favoritePostResponse.value);
    writer.writeAdditionalData(favoritePostResponse.additionalData);
}
exports.serializeFavoritePostResponse = serializeFavoritePostResponse;
// tslint:enable
// eslint-enable
