import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInstantiatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInstantiatePostRequestBody;
export declare function deserializeIntoInstantiatePostRequestBody(instantiatePostRequestBody?: InstantiatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface InstantiatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The displayName property
     */
    displayName?: string;
}
export declare function serializeInstantiatePostRequestBody(writer: SerializationWriter, instantiatePostRequestBody?: InstantiatePostRequestBody | undefined): void;
