"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCancelMediaProcessingPostRequestBody = exports.deserializeIntoCancelMediaProcessingPostRequestBody = exports.createCancelMediaProcessingPostRequestBodyFromDiscriminatorValue = void 0;
function createCancelMediaProcessingPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCancelMediaProcessingPostRequestBody;
}
exports.createCancelMediaProcessingPostRequestBodyFromDiscriminatorValue = createCancelMediaProcessingPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCancelMediaProcessingPostRequestBody(cancelMediaProcessingPostRequestBody = {}) {
    return {
        "clientContext": n => { cancelMediaProcessingPostRequestBody.clientContext = n.getStringValue(); },
    };
}
exports.deserializeIntoCancelMediaProcessingPostRequestBody = deserializeIntoCancelMediaProcessingPostRequestBody;
function serializeCancelMediaProcessingPostRequestBody(writer, cancelMediaProcessingPostRequestBody = {}) {
    writer.writeStringValue("clientContext", cancelMediaProcessingPostRequestBody.clientContext);
    writer.writeAdditionalData(cancelMediaProcessingPostRequestBody.additionalData);
}
exports.serializeCancelMediaProcessingPostRequestBody = serializeCancelMediaProcessingPostRequestBody;
// tslint:enable
// eslint-enable
