import { type Prompt } from '../../../../models/prompt';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlayPromptPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlayPromptPostRequestBody;
export declare function deserializeIntoPlayPromptPostRequestBody(playPromptPostRequestBody?: PlayPromptPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PlayPromptPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clientContext property
     */
    clientContext?: string;
    /**
     * The prompts property
     */
    prompts?: Prompt[];
}
export declare function serializePlayPromptPostRequestBody(writer: SerializationWriter, playPromptPostRequestBody?: PlayPromptPostRequestBody | undefined): void;
