import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubscribeToTonePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubscribeToTonePostRequestBody;
export declare function deserializeIntoSubscribeToTonePostRequestBody(subscribeToTonePostRequestBody?: SubscribeToTonePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubscribeToTonePostRequestBody(writer: SerializationWriter, subscribeToTonePostRequestBody?: SubscribeToTonePostRequestBody | undefined): void;
export interface SubscribeToTonePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clientContext property
     */
    clientContext?: string;
}
