import { RecordingStatus } from '../../../../models/recordingStatus';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUpdateRecordingStatusPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUpdateRecordingStatusPostRequestBody;
export declare function deserializeIntoUpdateRecordingStatusPostRequestBody(updateRecordingStatusPostRequestBody?: UpdateRecordingStatusPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUpdateRecordingStatusPostRequestBody(writer: SerializationWriter, updateRecordingStatusPostRequestBody?: UpdateRecordingStatusPostRequestBody | undefined): void;
export interface UpdateRecordingStatusPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clientContext property
     */
    clientContext?: string;
    /**
     * The status property
     */
    status?: RecordingStatus;
}
