import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetPresencesByUserIdPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetPresencesByUserIdPostRequestBody;
export declare function deserializeIntoGetPresencesByUserIdPostRequestBody(getPresencesByUserIdPostRequestBody?: GetPresencesByUserIdPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GetPresencesByUserIdPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ids property
     */
    ids?: string[];
}
export declare function serializeGetPresencesByUserIdPostRequestBody(writer: SerializationWriter, getPresencesByUserIdPostRequestBody?: GetPresencesByUserIdPostRequestBody | undefined): void;
