import { type BaseCollectionPaginationCountResponse } from '../../models/baseCollectionPaginationCountResponse';
import { type Presence } from '../../models/presence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetPresencesByUserIdPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetPresencesByUserIdPostResponse;
export declare function deserializeIntoGetPresencesByUserIdPostResponse(getPresencesByUserIdPostResponse?: GetPresencesByUserIdPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetPresencesByUserIdPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Presence[];
}
export declare function serializeGetPresencesByUserIdPostResponse(writer: SerializationWriter, getPresencesByUserIdPostResponse?: GetPresencesByUserIdPostResponse | undefined): void;
