import { type BaseCollectionPaginationCountResponse } from '../../../../../models/baseCollectionPaginationCountResponse';
import { type ExternalActivityResult } from '../../../../../models/externalConnectors/externalActivityResult';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddActivitiesPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ExternalActivityResult[];
}
export declare function createAddActivitiesPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddActivitiesPostResponse;
export declare function deserializeIntoAddActivitiesPostResponse(addActivitiesPostResponse?: AddActivitiesPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddActivitiesPostResponse(writer: SerializationWriter, addActivitiesPostResponse?: AddActivitiesPostResponse | undefined): void;
