import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetPriorityPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetPriorityPostRequestBody;
export declare function deserializeIntoSetPriorityPostRequestBody(setPriorityPostRequestBody?: SetPriorityPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetPriorityPostRequestBody(writer: SerializationWriter, setPriorityPostRequestBody?: SetPriorityPostRequestBody | undefined): void;
export interface SetPriorityPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The priority property
     */
    priority?: number;
}
