import { type ImportedWindowsAutopilotDeviceIdentity } from '../../../models/importedWindowsAutopilotDeviceIdentity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImportPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImportPostRequestBody;
export declare function deserializeIntoImportPostRequestBody(importPostRequestBody?: ImportPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImportPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The importedWindowsAutopilotDeviceIdentities property
     */
    importedWindowsAutopilotDeviceIdentities?: ImportedWindowsAutopilotDeviceIdentity[];
}
export declare function serializeImportPostRequestBody(writer: SerializationWriter, importPostRequestBody?: ImportPostRequestBody | undefined): void;
