import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPreviewPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPreviewPostRequestBody;
export declare function deserializeIntoPreviewPostRequestBody(previewPostRequestBody?: PreviewPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PreviewPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The page property
     */
    page?: string;
    /**
     * The zoom property
     */
    zoom?: number;
}
export declare function serializePreviewPostRequestBody(writer: SerializationWriter, previewPostRequestBody?: PreviewPostRequestBody | undefined): void;
