import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CalculatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The calculationType property
     */
    calculationType?: string;
}
export declare function createCalculatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCalculatePostRequestBody;
export declare function deserializeIntoCalculatePostRequestBody(calculatePostRequestBody?: CalculatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCalculatePostRequestBody(writer: SerializationWriter, calculatePostRequestBody?: CalculatePostRequestBody | undefined): void;
