import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateSessionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateSessionPostRequestBody;
export interface CreateSessionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The persistChanges property
     */
    persistChanges?: boolean;
}
export declare function deserializeIntoCreateSessionPostRequestBody(createSessionPostRequestBody?: CreateSessionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateSessionPostRequestBody(writer: SerializationWriter, createSessionPostRequestBody?: CreateSessionPostRequestBody | undefined): void;
