import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AcothPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createAcothPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAcothPostRequestBody;
export declare function deserializeIntoAcothPostRequestBody(acothPostRequestBody?: AcothPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAcothPostRequestBody(writer: SerializationWriter, acothPostRequestBody?: AcothPostRequestBody | undefined): void;
