import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AverageAPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createAverageAPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAverageAPostRequestBody;
export declare function deserializeIntoAverageAPostRequestBody(averageAPostRequestBody?: AverageAPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAverageAPostRequestBody(writer: SerializationWriter, averageAPostRequestBody?: AverageAPostRequestBody | undefined): void;
