import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AverageIfsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The averageRange property
     */
    averageRange?: Json;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createAverageIfsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAverageIfsPostRequestBody;
export declare function deserializeIntoAverageIfsPostRequestBody(averageIfsPostRequestBody?: AverageIfsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAverageIfsPostRequestBody(writer: SerializationWriter, averageIfsPostRequestBody?: AverageIfsPostRequestBody | undefined): void;
