import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Bin2OctPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The places property
     */
    places?: Json;
}
export declare function createBin2OctPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBin2OctPostRequestBody;
export declare function deserializeIntoBin2OctPostRequestBody(bin2OctPostRequestBody?: Bin2OctPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBin2OctPostRequestBody(writer: SerializationWriter, bin2OctPostRequestBody?: Bin2OctPostRequestBody | undefined): void;
