import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CombinPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The numberChosen property
     */
    numberChosen?: Json;
}
export declare function createCombinPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCombinPostRequestBody;
export declare function deserializeIntoCombinPostRequestBody(combinPostRequestBody?: CombinPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCombinPostRequestBody(writer: SerializationWriter, combinPostRequestBody?: CombinPostRequestBody | undefined): void;
