import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CombinaPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The numberChosen property
     */
    numberChosen?: Json;
}
export declare function createCombinaPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCombinaPostRequestBody;
export declare function deserializeIntoCombinaPostRequestBody(combinaPostRequestBody?: CombinaPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCombinaPostRequestBody(writer: SerializationWriter, combinaPostRequestBody?: CombinaPostRequestBody | undefined): void;
