import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCscPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCscPostRequestBody;
export interface CscPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function deserializeIntoCscPostRequestBody(cscPostRequestBody?: CscPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCscPostRequestBody(writer: SerializationWriter, cscPostRequestBody?: CscPostRequestBody | undefined): void;
