import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDaveragePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDaveragePostRequestBody;
export interface DaveragePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The criteria property
     */
    criteria?: Json;
    /**
     * The database property
     */
    database?: Json;
    /**
     * The field property
     */
    field?: Json;
}
export declare function deserializeIntoDaveragePostRequestBody(daveragePostRequestBody?: DaveragePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDaveragePostRequestBody(writer: SerializationWriter, daveragePostRequestBody?: DaveragePostRequestBody | undefined): void;
