import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeltaPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeltaPostRequestBody;
export interface DeltaPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number1 property
     */
    number1?: Json;
    /**
     * The number2 property
     */
    number2?: Json;
}
export declare function deserializeIntoDeltaPostRequestBody(deltaPostRequestBody?: DeltaPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeltaPostRequestBody(writer: SerializationWriter, deltaPostRequestBody?: DeltaPostRequestBody | undefined): void;
