import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createErfPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoErfPostRequestBody;
export declare function deserializeIntoErfPostRequestBody(erfPostRequestBody?: ErfPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ErfPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The lowerLimit property
     */
    lowerLimit?: Json;
    /**
     * The upperLimit property
     */
    upperLimit?: Json;
}
export declare function serializeErfPostRequestBody(writer: SerializationWriter, erfPostRequestBody?: ErfPostRequestBody | undefined): void;
