import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createF_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoF_InvPostRequestBody;
export declare function deserializeIntoF_InvPostRequestBody(f_InvPostRequestBody?: F_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface F_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The degFreedom1 property
     */
    degFreedom1?: Json;
    /**
     * The degFreedom2 property
     */
    degFreedom2?: Json;
    /**
     * The probability property
     */
    probability?: Json;
}
export declare function serializeF_InvPostRequestBody(writer: SerializationWriter, f_InvPostRequestBody?: F_InvPostRequestBody | undefined): void;
