import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createF_Inv_RTPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoF_Inv_RTPostRequestBody;
export declare function deserializeIntoF_Inv_RTPostRequestBody(f_Inv_RTPostRequestBody?: F_Inv_RTPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface F_Inv_RTPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The degFreedom1 property
     */
    degFreedom1?: Json;
    /**
     * The degFreedom2 property
     */
    degFreedom2?: Json;
    /**
     * The probability property
     */
    probability?: Json;
}
export declare function serializeF_Inv_RTPostRequestBody(writer: SerializationWriter, f_Inv_RTPostRequestBody?: F_Inv_RTPostRequestBody | undefined): void;
