import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHarMeanPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHarMeanPostRequestBody;
export declare function deserializeIntoHarMeanPostRequestBody(harMeanPostRequestBody?: HarMeanPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface HarMeanPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeHarMeanPostRequestBody(writer: SerializationWriter, harMeanPostRequestBody?: HarMeanPostRequestBody | undefined): void;
