import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImCotPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImCotPostRequestBody;
export declare function deserializeIntoImCotPostRequestBody(imCotPostRequestBody?: ImCotPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImCotPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImCotPostRequestBody(writer: SerializationWriter, imCotPostRequestBody?: ImCotPostRequestBody | undefined): void;
