import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImLog10PostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImLog10PostRequestBody;
export declare function deserializeIntoImLog10PostRequestBody(imLog10PostRequestBody?: ImLog10PostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImLog10PostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImLog10PostRequestBody(writer: SerializationWriter, imLog10PostRequestBody?: ImLog10PostRequestBody | undefined): void;
