import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImSubPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImSubPostRequestBody;
export declare function deserializeIntoImSubPostRequestBody(imSubPostRequestBody?: ImSubPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImSubPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber1 property
     */
    inumber1?: Json;
    /**
     * The inumber2 property
     */
    inumber2?: Json;
}
export declare function serializeImSubPostRequestBody(writer: SerializationWriter, imSubPostRequestBody?: ImSubPostRequestBody | undefined): void;
