import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImSumPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImSumPostRequestBody;
export declare function deserializeIntoImSumPostRequestBody(imSumPostRequestBody?: ImSumPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImSumPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeImSumPostRequestBody(writer: SerializationWriter, imSumPostRequestBody?: ImSumPostRequestBody | undefined): void;
