import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImTanPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImTanPostRequestBody;
export declare function deserializeIntoImTanPostRequestBody(imTanPostRequestBody?: ImTanPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImTanPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImTanPostRequestBody(writer: SerializationWriter, imTanPostRequestBody?: ImTanPostRequestBody | undefined): void;
