import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIntRatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIntRatePostRequestBody;
export declare function deserializeIntoIntRatePostRequestBody(intRatePostRequestBody?: IntRatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IntRatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The investment property
     */
    investment?: Json;
    /**
     * The maturity property
     */
    maturity?: Json;
    /**
     * The redemption property
     */
    redemption?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
export declare function serializeIntRatePostRequestBody(writer: SerializationWriter, intRatePostRequestBody?: IntRatePostRequestBody | undefined): void;
