import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLog10PostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLog10PostRequestBody;
export declare function deserializeIntoLog10PostRequestBody(log10PostRequestBody?: Log10PostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Log10PostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeLog10PostRequestBody(writer: SerializationWriter, log10PostRequestBody?: Log10PostRequestBody | undefined): void;
