import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLogNorm_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLogNorm_InvPostRequestBody;
export declare function deserializeIntoLogNorm_InvPostRequestBody(logNorm_InvPostRequestBody?: LogNorm_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LogNorm_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The mean property
     */
    mean?: Json;
    /**
     * The probability property
     */
    probability?: Json;
    /**
     * The standardDev property
     */
    standardDev?: Json;
}
export declare function serializeLogNorm_InvPostRequestBody(writer: SerializationWriter, logNorm_InvPostRequestBody?: LogNorm_InvPostRequestBody | undefined): void;
