import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMinAPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMinAPostRequestBody;
export declare function deserializeIntoMinAPostRequestBody(minAPostRequestBody?: MinAPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MinAPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeMinAPostRequestBody(writer: SerializationWriter, minAPostRequestBody?: MinAPostRequestBody | undefined): void;
