import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createModPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoModPostRequestBody;
export declare function deserializeIntoModPostRequestBody(modPostRequestBody?: ModPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ModPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The divisor property
     */
    divisor?: Json;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeModPostRequestBody(writer: SerializationWriter, modPostRequestBody?: ModPostRequestBody | undefined): void;
