import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMroundPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMroundPostRequestBody;
export declare function deserializeIntoMroundPostRequestBody(mroundPostRequestBody?: MroundPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MroundPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The multiple property
     */
    multiple?: Json;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeMroundPostRequestBody(writer: SerializationWriter, mroundPostRequestBody?: MroundPostRequestBody | undefined): void;
