import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNegBinom_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNegBinom_DistPostRequestBody;
export declare function deserializeIntoNegBinom_DistPostRequestBody(negBinom_DistPostRequestBody?: NegBinom_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NegBinom_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The numberF property
     */
    numberF?: Json;
    /**
     * The numberS property
     */
    numberS?: Json;
    /**
     * The probabilityS property
     */
    probabilityS?: Json;
}
export declare function serializeNegBinom_DistPostRequestBody(writer: SerializationWriter, negBinom_DistPostRequestBody?: NegBinom_DistPostRequestBody | undefined): void;
