import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNotPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNotPostRequestBody;
export declare function deserializeIntoNotPostRequestBody(notPostRequestBody?: NotPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NotPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The logical property
     */
    logical?: Json;
}
export declare function serializeNotPostRequestBody(writer: SerializationWriter, notPostRequestBody?: NotPostRequestBody | undefined): void;
