import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPercentRank_IncPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPercentRank_IncPostRequestBody;
export declare function deserializeIntoPercentRank_IncPostRequestBody(percentRank_IncPostRequestBody?: PercentRank_IncPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PercentRank_IncPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The significance property
     */
    significance?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializePercentRank_IncPostRequestBody(writer: SerializationWriter, percentRank_IncPostRequestBody?: PercentRank_IncPostRequestBody | undefined): void;
