import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createQuartile_ExcPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoQuartile_ExcPostRequestBody;
export declare function deserializeIntoQuartile_ExcPostRequestBody(quartile_ExcPostRequestBody?: Quartile_ExcPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Quartile_ExcPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The quart property
     */
    quart?: Json;
}
export declare function serializeQuartile_ExcPostRequestBody(writer: SerializationWriter, quartile_ExcPostRequestBody?: Quartile_ExcPostRequestBody | undefined): void;
