import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRatePostRequestBody;
export declare function deserializeIntoRatePostRequestBody(ratePostRequestBody?: RatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fv property
     */
    fv?: Json;
    /**
     * The guess property
     */
    guess?: Json;
    /**
     * The nper property
     */
    nper?: Json;
    /**
     * The pmt property
     */
    pmt?: Json;
    /**
     * The pv property
     */
    pv?: Json;
    /**
     * The type property
     */
    type?: Json;
}
export declare function serializeRatePostRequestBody(writer: SerializationWriter, ratePostRequestBody?: RatePostRequestBody | undefined): void;
