import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReplacePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReplacePostRequestBody;
export declare function deserializeIntoReplacePostRequestBody(replacePostRequestBody?: ReplacePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ReplacePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The newText property
     */
    newText?: Json;
    /**
     * The numChars property
     */
    numChars?: Json;
    /**
     * The oldText property
     */
    oldText?: Json;
    /**
     * The startNum property
     */
    startNum?: Json;
}
export declare function serializeReplacePostRequestBody(writer: SerializationWriter, replacePostRequestBody?: ReplacePostRequestBody | undefined): void;
