import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSkew_pPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSkew_pPostRequestBody;
export declare function deserializeIntoSkew_pPostRequestBody(skew_pPostRequestBody?: Skew_pPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSkew_pPostRequestBody(writer: SerializationWriter, skew_pPostRequestBody?: Skew_pPostRequestBody | undefined): void;
export interface Skew_pPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
