import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubtotalPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubtotalPostRequestBody;
export declare function deserializeIntoSubtotalPostRequestBody(subtotalPostRequestBody?: SubtotalPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubtotalPostRequestBody(writer: SerializationWriter, subtotalPostRequestBody?: SubtotalPostRequestBody | undefined): void;
export interface SubtotalPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The functionNum property
     */
    functionNum?: Json;
    /**
     * The values property
     */
    values?: Json;
}
