import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTruncPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTruncPostRequestBody;
export declare function deserializeIntoTruncPostRequestBody(truncPostRequestBody?: TruncPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTruncPostRequestBody(writer: SerializationWriter, truncPostRequestBody?: TruncPostRequestBody | undefined): void;
export interface TruncPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The numDigits property
     */
    numDigits?: Json;
}
