import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUpperPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUpperPostRequestBody;
export declare function deserializeIntoUpperPostRequestBody(upperPostRequestBody?: UpperPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUpperPostRequestBody(writer: SerializationWriter, upperPostRequestBody?: UpperPostRequestBody | undefined): void;
export interface UpperPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
