import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkDay_IntlPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkDay_IntlPostRequestBody;
export declare function deserializeIntoWorkDay_IntlPostRequestBody(workDay_IntlPostRequestBody?: WorkDay_IntlPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkDay_IntlPostRequestBody(writer: SerializationWriter, workDay_IntlPostRequestBody?: WorkDay_IntlPostRequestBody | undefined): void;
export interface WorkDay_IntlPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The days property
     */
    days?: Json;
    /**
     * The holidays property
     */
    holidays?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
    /**
     * The weekend property
     */
    weekend?: Json;
}
