import { type Json } from '../../../../../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyValuesFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createApplyValuesFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyValuesFilterPostRequestBody;
export declare function deserializeIntoApplyValuesFilterPostRequestBody(applyValuesFilterPostRequestBody?: ApplyValuesFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyValuesFilterPostRequestBody(writer: SerializationWriter, applyValuesFilterPostRequestBody?: ApplyValuesFilterPostRequestBody | undefined): void;
