import { type Json } from '../../../../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetDataPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetDataPostRequestBody;
export declare function deserializeIntoSetDataPostRequestBody(setDataPostRequestBody?: SetDataPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetDataPostRequestBody(writer: SerializationWriter, setDataPostRequestBody?: SetDataPostRequestBody | undefined): void;
export interface SetDataPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The seriesBy property
     */
    seriesBy?: string;
    /**
     * The sourceData property
     */
    sourceData?: Json;
}
