import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemoveGroupPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemoveGroupPostResponse;
export declare function deserializeIntoRemoveGroupPostResponse(removeGroupPostResponse?: RemoveGroupPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RemoveGroupPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializeRemoveGroupPostResponse(writer: SerializationWriter, removeGroupPostResponse?: RemoveGroupPostResponse | undefined): void;
