import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetReactionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetReactionPostRequestBody;
export declare function deserializeIntoSetReactionPostRequestBody(setReactionPostRequestBody?: SetReactionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetReactionPostRequestBody(writer: SerializationWriter, setReactionPostRequestBody?: SetReactionPostRequestBody | undefined): void;
export interface SetReactionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The reactionType property
     */
    reactionType?: string;
}
