"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSharePostRequestBody = exports.deserializeIntoSharePostRequestBody = exports.createSharePostRequestBodyFromDiscriminatorValue = void 0;
function createSharePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSharePostRequestBody;
}
exports.createSharePostRequestBodyFromDiscriminatorValue = createSharePostRequestBodyFromDiscriminatorValue;
function deserializeIntoSharePostRequestBody(sharePostRequestBody = {}) {
    return {
        "endDateTime": n => { sharePostRequestBody.endDateTime = n.getDateValue(); },
        "notifyTeam": n => { sharePostRequestBody.notifyTeam = n.getBooleanValue(); },
        "startDateTime": n => { sharePostRequestBody.startDateTime = n.getDateValue(); },
    };
}
exports.deserializeIntoSharePostRequestBody = deserializeIntoSharePostRequestBody;
function serializeSharePostRequestBody(writer, sharePostRequestBody = {}) {
    writer.writeDateValue("endDateTime", sharePostRequestBody.endDateTime);
    writer.writeBooleanValue("notifyTeam", sharePostRequestBody.notifyTeam);
    writer.writeDateValue("startDateTime", sharePostRequestBody.startDateTime);
    writer.writeAdditionalData(sharePostRequestBody.additionalData);
}
exports.serializeSharePostRequestBody = serializeSharePostRequestBody;
// tslint:enable
// eslint-enable
