import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUploadClientCertificatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUploadClientCertificatePostRequestBody;
export declare function deserializeIntoUploadClientCertificatePostRequestBody(uploadClientCertificatePostRequestBody?: UploadClientCertificatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUploadClientCertificatePostRequestBody(writer: SerializationWriter, uploadClientCertificatePostRequestBody?: UploadClientCertificatePostRequestBody | undefined): void;
export interface UploadClientCertificatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The password property
     */
    password?: string;
    /**
     * The pkcs12Value property
     */
    pkcs12Value?: string;
}
