import { type PrintJobConfiguration } from '../../../../../../models/printJobConfiguration';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRedirectPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRedirectPostRequestBody;
export declare function deserializeIntoRedirectPostRequestBody(redirectPostRequestBody?: RedirectPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RedirectPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The configuration property
     */
    configuration?: PrintJobConfiguration;
    /**
     * The destinationPrinterId property
     */
    destinationPrinterId?: string;
}
export declare function serializeRedirectPostRequestBody(writer: SerializationWriter, redirectPostRequestBody?: RedirectPostRequestBody | undefined): void;
