import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createRemoveKeyPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemoveKeyPostRequestBody;
export declare function deserializeIntoRemoveKeyPostRequestBody(removeKeyPostRequestBody?: RemoveKeyPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RemoveKeyPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The keyId property
     */
    keyId?: Guid;
    /**
     * The proof property
     */
    proof?: string;
}
export declare function serializeRemoveKeyPostRequestBody(writer: SerializationWriter, removeKeyPostRequestBody?: RemoveKeyPostRequestBody | undefined): void;
