import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createRemovePasswordPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemovePasswordPostRequestBody;
export declare function deserializeIntoRemovePasswordPostRequestBody(removePasswordPostRequestBody?: RemovePasswordPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RemovePasswordPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The keyId property
     */
    keyId?: Guid;
}
export declare function serializeRemovePasswordPostRequestBody(writer: SerializationWriter, removePasswordPostRequestBody?: RemovePasswordPostRequestBody | undefined): void;
