import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CancelPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cancellationMessage property
     */
    cancellationMessage?: string;
}
export declare function createCancelPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCancelPostRequestBody;
export declare function deserializeIntoCancelPostRequestBody(cancelPostRequestBody?: CancelPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCancelPostRequestBody(writer: SerializationWriter, cancelPostRequestBody?: CancelPostRequestBody | undefined): void;
