import { type TeamworkUserIdentity } from '../../../../../models/teamworkUserIdentity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHideForUserPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHideForUserPostRequestBody;
export declare function deserializeIntoHideForUserPostRequestBody(hideForUserPostRequestBody?: HideForUserPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface HideForUserPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The user property
     */
    user?: TeamworkUserIdentity;
}
export declare function serializeHideForUserPostRequestBody(writer: SerializationWriter, hideForUserPostRequestBody?: HideForUserPostRequestBody | undefined): void;
