import { type Message } from '../../../../../../../../../models/message';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateReplyAllPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateReplyAllPostRequestBody;
export interface CreateReplyAllPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Comment property
     */
    comment?: string;
    /**
     * The Message property
     */
    message?: Message;
}
export declare function deserializeIntoCreateReplyAllPostRequestBody(createReplyAllPostRequestBody?: CreateReplyAllPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateReplyAllPostRequestBody(writer: SerializationWriter, createReplyAllPostRequestBody?: CreateReplyAllPostRequestBody | undefined): void;
