import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CleanWindowsDevicePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The keepUserData property
     */
    keepUserData?: boolean;
}
export declare function createCleanWindowsDevicePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCleanWindowsDevicePostRequestBody;
export declare function deserializeIntoCleanWindowsDevicePostRequestBody(cleanWindowsDevicePostRequestBody?: CleanWindowsDevicePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCleanWindowsDevicePostRequestBody(writer: SerializationWriter, cleanWindowsDevicePostRequestBody?: CleanWindowsDevicePostRequestBody | undefined): void;
