import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type ConvertIdResult } from '../../../models/convertIdResult';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTranslateExchangeIdsPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTranslateExchangeIdsPostResponse;
export declare function deserializeIntoTranslateExchangeIdsPostResponse(translateExchangeIdsPostResponse?: TranslateExchangeIdsPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTranslateExchangeIdsPostResponse(writer: SerializationWriter, translateExchangeIdsPostResponse?: TranslateExchangeIdsPostResponse | undefined): void;
export interface TranslateExchangeIdsPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ConvertIdResult[];
}
