"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserItemRequestBuilder = void 0;
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const user_1 = require("../../models/user");
const activitiesRequestBuilder_1 = require("./activities/activitiesRequestBuilder");
const agreementAcceptancesRequestBuilder_1 = require("./agreementAcceptances/agreementAcceptancesRequestBuilder");
const appRoleAssignmentsRequestBuilder_1 = require("./appRoleAssignments/appRoleAssignmentsRequestBuilder");
const assignLicenseRequestBuilder_1 = require("./assignLicense/assignLicenseRequestBuilder");
const authenticationRequestBuilder_1 = require("./authentication/authenticationRequestBuilder");
const calendarRequestBuilder_1 = require("./calendar/calendarRequestBuilder");
const calendarGroupsRequestBuilder_1 = require("./calendarGroups/calendarGroupsRequestBuilder");
const calendarsRequestBuilder_1 = require("./calendars/calendarsRequestBuilder");
const calendarViewRequestBuilder_1 = require("./calendarView/calendarViewRequestBuilder");
const changePasswordRequestBuilder_1 = require("./changePassword/changePasswordRequestBuilder");
const chatsRequestBuilder_1 = require("./chats/chatsRequestBuilder");
const checkMemberGroupsRequestBuilder_1 = require("./checkMemberGroups/checkMemberGroupsRequestBuilder");
const checkMemberObjectsRequestBuilder_1 = require("./checkMemberObjects/checkMemberObjectsRequestBuilder");
const contactFoldersRequestBuilder_1 = require("./contactFolders/contactFoldersRequestBuilder");
const contactsRequestBuilder_1 = require("./contacts/contactsRequestBuilder");
const createdObjectsRequestBuilder_1 = require("./createdObjects/createdObjectsRequestBuilder");
const deviceManagementTroubleshootingEventsRequestBuilder_1 = require("./deviceManagementTroubleshootingEvents/deviceManagementTroubleshootingEventsRequestBuilder");
const directReportsRequestBuilder_1 = require("./directReports/directReportsRequestBuilder");
const driveRequestBuilder_1 = require("./drive/driveRequestBuilder");
const drivesRequestBuilder_1 = require("./drives/drivesRequestBuilder");
const employeeExperienceRequestBuilder_1 = require("./employeeExperience/employeeExperienceRequestBuilder");
const eventsRequestBuilder_1 = require("./events/eventsRequestBuilder");
const exportDeviceAndAppManagementDataRequestBuilder_1 = require("./exportDeviceAndAppManagementData/exportDeviceAndAppManagementDataRequestBuilder");
const exportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder_1 = require("./exportDeviceAndAppManagementDataWithSkipWithTop/exportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder");
const exportPersonalDataRequestBuilder_1 = require("./exportPersonalData/exportPersonalDataRequestBuilder");
const extensionsRequestBuilder_1 = require("./extensions/extensionsRequestBuilder");
const findMeetingTimesRequestBuilder_1 = require("./findMeetingTimes/findMeetingTimesRequestBuilder");
const followedSitesRequestBuilder_1 = require("./followedSites/followedSitesRequestBuilder");
const getMailTipsRequestBuilder_1 = require("./getMailTips/getMailTipsRequestBuilder");
const getManagedAppDiagnosticStatusesRequestBuilder_1 = require("./getManagedAppDiagnosticStatuses/getManagedAppDiagnosticStatusesRequestBuilder");
const getManagedAppPoliciesRequestBuilder_1 = require("./getManagedAppPolicies/getManagedAppPoliciesRequestBuilder");
const getManagedDevicesWithAppFailuresRequestBuilder_1 = require("./getManagedDevicesWithAppFailures/getManagedDevicesWithAppFailuresRequestBuilder");
const getMemberGroupsRequestBuilder_1 = require("./getMemberGroups/getMemberGroupsRequestBuilder");
const getMemberObjectsRequestBuilder_1 = require("./getMemberObjects/getMemberObjectsRequestBuilder");
const inferenceClassificationRequestBuilder_1 = require("./inferenceClassification/inferenceClassificationRequestBuilder");
const insightsRequestBuilder_1 = require("./insights/insightsRequestBuilder");
const joinedTeamsRequestBuilder_1 = require("./joinedTeams/joinedTeamsRequestBuilder");
const licenseDetailsRequestBuilder_1 = require("./licenseDetails/licenseDetailsRequestBuilder");
const mailboxSettingsRequestBuilder_1 = require("./mailboxSettings/mailboxSettingsRequestBuilder");
const mailFoldersRequestBuilder_1 = require("./mailFolders/mailFoldersRequestBuilder");
const managedAppRegistrationsRequestBuilder_1 = require("./managedAppRegistrations/managedAppRegistrationsRequestBuilder");
const managedDevicesRequestBuilder_1 = require("./managedDevices/managedDevicesRequestBuilder");
const managerRequestBuilder_1 = require("./manager/managerRequestBuilder");
const memberOfRequestBuilder_1 = require("./memberOf/memberOfRequestBuilder");
const messagesRequestBuilder_1 = require("./messages/messagesRequestBuilder");
const oauth2PermissionGrantsRequestBuilder_1 = require("./oauth2PermissionGrants/oauth2PermissionGrantsRequestBuilder");
const onenoteRequestBuilder_1 = require("./onenote/onenoteRequestBuilder");
const onlineMeetingsRequestBuilder_1 = require("./onlineMeetings/onlineMeetingsRequestBuilder");
const outlookRequestBuilder_1 = require("./outlook/outlookRequestBuilder");
const ownedDevicesRequestBuilder_1 = require("./ownedDevices/ownedDevicesRequestBuilder");
const ownedObjectsRequestBuilder_1 = require("./ownedObjects/ownedObjectsRequestBuilder");
const peopleRequestBuilder_1 = require("./people/peopleRequestBuilder");
const photoRequestBuilder_1 = require("./photo/photoRequestBuilder");
const photosRequestBuilder_1 = require("./photos/photosRequestBuilder");
const plannerRequestBuilder_1 = require("./planner/plannerRequestBuilder");
const presenceRequestBuilder_1 = require("./presence/presenceRequestBuilder");
const registeredDevicesRequestBuilder_1 = require("./registeredDevices/registeredDevicesRequestBuilder");
const reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder_1 = require("./reminderViewWithStartDateTimeWithEndDateTime/reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder");
const removeAllDevicesFromManagementRequestBuilder_1 = require("./removeAllDevicesFromManagement/removeAllDevicesFromManagementRequestBuilder");
const reprocessLicenseAssignmentRequestBuilder_1 = require("./reprocessLicenseAssignment/reprocessLicenseAssignmentRequestBuilder");
const restoreRequestBuilder_1 = require("./restore/restoreRequestBuilder");
const retryServiceProvisioningRequestBuilder_1 = require("./retryServiceProvisioning/retryServiceProvisioningRequestBuilder");
const revokeSignInSessionsRequestBuilder_1 = require("./revokeSignInSessions/revokeSignInSessionsRequestBuilder");
const scopedRoleMemberOfRequestBuilder_1 = require("./scopedRoleMemberOf/scopedRoleMemberOfRequestBuilder");
const sendMailRequestBuilder_1 = require("./sendMail/sendMailRequestBuilder");
const serviceProvisioningErrorsRequestBuilder_1 = require("./serviceProvisioningErrors/serviceProvisioningErrorsRequestBuilder");
const settingsRequestBuilder_1 = require("./settings/settingsRequestBuilder");
const teamworkRequestBuilder_1 = require("./teamwork/teamworkRequestBuilder");
const todoRequestBuilder_1 = require("./todo/todoRequestBuilder");
const transitiveMemberOfRequestBuilder_1 = require("./transitiveMemberOf/transitiveMemberOfRequestBuilder");
const translateExchangeIdsRequestBuilder_1 = require("./translateExchangeIds/translateExchangeIdsRequestBuilder");
const wipeManagedAppRegistrationsByDeviceTagRequestBuilder_1 = require("./wipeManagedAppRegistrationsByDeviceTag/wipeManagedAppRegistrationsByDeviceTagRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the collection of user entities.
 */
class UserItemRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the activities property of the microsoft.graph.user entity.
     */
    get activities() {
        return new activitiesRequestBuilder_1.ActivitiesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the agreementAcceptances property of the microsoft.graph.user entity.
     */
    get agreementAcceptances() {
        return new agreementAcceptancesRequestBuilder_1.AgreementAcceptancesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the appRoleAssignments property of the microsoft.graph.user entity.
     */
    get appRoleAssignments() {
        return new appRoleAssignmentsRequestBuilder_1.AppRoleAssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the assignLicense method.
     */
    get assignLicense() {
        return new assignLicenseRequestBuilder_1.AssignLicenseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the authentication property of the microsoft.graph.user entity.
     */
    get authentication() {
        return new authenticationRequestBuilder_1.AuthenticationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the calendar property of the microsoft.graph.user entity.
     */
    get calendar() {
        return new calendarRequestBuilder_1.CalendarRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the calendarGroups property of the microsoft.graph.user entity.
     */
    get calendarGroups() {
        return new calendarGroupsRequestBuilder_1.CalendarGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the calendars property of the microsoft.graph.user entity.
     */
    get calendars() {
        return new calendarsRequestBuilder_1.CalendarsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the calendarView property of the microsoft.graph.user entity.
     */
    get calendarView() {
        return new calendarViewRequestBuilder_1.CalendarViewRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the changePassword method.
     */
    get changePassword() {
        return new changePasswordRequestBuilder_1.ChangePasswordRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the chats property of the microsoft.graph.user entity.
     */
    get chats() {
        return new chatsRequestBuilder_1.ChatsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the checkMemberGroups method.
     */
    get checkMemberGroups() {
        return new checkMemberGroupsRequestBuilder_1.CheckMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the checkMemberObjects method.
     */
    get checkMemberObjects() {
        return new checkMemberObjectsRequestBuilder_1.CheckMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the contactFolders property of the microsoft.graph.user entity.
     */
    get contactFolders() {
        return new contactFoldersRequestBuilder_1.ContactFoldersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the contacts property of the microsoft.graph.user entity.
     */
    get contacts() {
        return new contactsRequestBuilder_1.ContactsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the createdObjects property of the microsoft.graph.user entity.
     */
    get createdObjects() {
        return new createdObjectsRequestBuilder_1.CreatedObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the deviceManagementTroubleshootingEvents property of the microsoft.graph.user entity.
     */
    get deviceManagementTroubleshootingEvents() {
        return new deviceManagementTroubleshootingEventsRequestBuilder_1.DeviceManagementTroubleshootingEventsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the directReports property of the microsoft.graph.user entity.
     */
    get directReports() {
        return new directReportsRequestBuilder_1.DirectReportsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the drive property of the microsoft.graph.user entity.
     */
    get drive() {
        return new driveRequestBuilder_1.DriveRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the drives property of the microsoft.graph.user entity.
     */
    get drives() {
        return new drivesRequestBuilder_1.DrivesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the employeeExperience property of the microsoft.graph.user entity.
     */
    get employeeExperience() {
        return new employeeExperienceRequestBuilder_1.EmployeeExperienceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the events property of the microsoft.graph.user entity.
     */
    get events() {
        return new eventsRequestBuilder_1.EventsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the exportDeviceAndAppManagementData method.
     */
    get exportDeviceAndAppManagementData() {
        return new exportDeviceAndAppManagementDataRequestBuilder_1.ExportDeviceAndAppManagementDataRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the exportPersonalData method.
     */
    get exportPersonalData() {
        return new exportPersonalDataRequestBuilder_1.ExportPersonalDataRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the extensions property of the microsoft.graph.user entity.
     */
    get extensions() {
        return new extensionsRequestBuilder_1.ExtensionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the findMeetingTimes method.
     */
    get findMeetingTimes() {
        return new findMeetingTimesRequestBuilder_1.FindMeetingTimesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the followedSites property of the microsoft.graph.user entity.
     */
    get followedSites() {
        return new followedSitesRequestBuilder_1.FollowedSitesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getMailTips method.
     */
    get getMailTips() {
        return new getMailTipsRequestBuilder_1.GetMailTipsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getManagedAppDiagnosticStatuses method.
     */
    get getManagedAppDiagnosticStatuses() {
        return new getManagedAppDiagnosticStatusesRequestBuilder_1.GetManagedAppDiagnosticStatusesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getManagedAppPolicies method.
     */
    get getManagedAppPolicies() {
        return new getManagedAppPoliciesRequestBuilder_1.GetManagedAppPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getManagedDevicesWithAppFailures method.
     */
    get getManagedDevicesWithAppFailures() {
        return new getManagedDevicesWithAppFailuresRequestBuilder_1.GetManagedDevicesWithAppFailuresRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getMemberGroups method.
     */
    get getMemberGroups() {
        return new getMemberGroupsRequestBuilder_1.GetMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getMemberObjects method.
     */
    get getMemberObjects() {
        return new getMemberObjectsRequestBuilder_1.GetMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the inferenceClassification property of the microsoft.graph.user entity.
     */
    get inferenceClassification() {
        return new inferenceClassificationRequestBuilder_1.InferenceClassificationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the insights property of the microsoft.graph.user entity.
     */
    get insights() {
        return new insightsRequestBuilder_1.InsightsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the joinedTeams property of the microsoft.graph.user entity.
     */
    get joinedTeams() {
        return new joinedTeamsRequestBuilder_1.JoinedTeamsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the licenseDetails property of the microsoft.graph.user entity.
     */
    get licenseDetails() {
        return new licenseDetailsRequestBuilder_1.LicenseDetailsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * The mailboxSettings property
     */
    get mailboxSettings() {
        return new mailboxSettingsRequestBuilder_1.MailboxSettingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the mailFolders property of the microsoft.graph.user entity.
     */
    get mailFolders() {
        return new mailFoldersRequestBuilder_1.MailFoldersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the managedAppRegistrations property of the microsoft.graph.user entity.
     */
    get managedAppRegistrations() {
        return new managedAppRegistrationsRequestBuilder_1.ManagedAppRegistrationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the managedDevices property of the microsoft.graph.user entity.
     */
    get managedDevices() {
        return new managedDevicesRequestBuilder_1.ManagedDevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the manager property of the microsoft.graph.user entity.
     */
    get manager() {
        return new managerRequestBuilder_1.ManagerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the memberOf property of the microsoft.graph.user entity.
     */
    get memberOf() {
        return new memberOfRequestBuilder_1.MemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the messages property of the microsoft.graph.user entity.
     */
    get messages() {
        return new messagesRequestBuilder_1.MessagesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the oauth2PermissionGrants property of the microsoft.graph.user entity.
     */
    get oauth2PermissionGrants() {
        return new oauth2PermissionGrantsRequestBuilder_1.Oauth2PermissionGrantsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the onenote property of the microsoft.graph.user entity.
     */
    get onenote() {
        return new onenoteRequestBuilder_1.OnenoteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the onlineMeetings property of the microsoft.graph.user entity.
     */
    get onlineMeetings() {
        return new onlineMeetingsRequestBuilder_1.OnlineMeetingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the outlook property of the microsoft.graph.user entity.
     */
    get outlook() {
        return new outlookRequestBuilder_1.OutlookRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the ownedDevices property of the microsoft.graph.user entity.
     */
    get ownedDevices() {
        return new ownedDevicesRequestBuilder_1.OwnedDevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the ownedObjects property of the microsoft.graph.user entity.
     */
    get ownedObjects() {
        return new ownedObjectsRequestBuilder_1.OwnedObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the people property of the microsoft.graph.user entity.
     */
    get people() {
        return new peopleRequestBuilder_1.PeopleRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the photo property of the microsoft.graph.user entity.
     */
    get photo() {
        return new photoRequestBuilder_1.PhotoRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the photos property of the microsoft.graph.user entity.
     */
    get photos() {
        return new photosRequestBuilder_1.PhotosRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the planner property of the microsoft.graph.user entity.
     */
    get planner() {
        return new plannerRequestBuilder_1.PlannerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the presence property of the microsoft.graph.user entity.
     */
    get presence() {
        return new presenceRequestBuilder_1.PresenceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the registeredDevices property of the microsoft.graph.user entity.
     */
    get registeredDevices() {
        return new registeredDevicesRequestBuilder_1.RegisteredDevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the removeAllDevicesFromManagement method.
     */
    get removeAllDevicesFromManagement() {
        return new removeAllDevicesFromManagementRequestBuilder_1.RemoveAllDevicesFromManagementRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the reprocessLicenseAssignment method.
     */
    get reprocessLicenseAssignment() {
        return new reprocessLicenseAssignmentRequestBuilder_1.ReprocessLicenseAssignmentRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the restore method.
     */
    get restore() {
        return new restoreRequestBuilder_1.RestoreRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the retryServiceProvisioning method.
     */
    get retryServiceProvisioning() {
        return new retryServiceProvisioningRequestBuilder_1.RetryServiceProvisioningRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the revokeSignInSessions method.
     */
    get revokeSignInSessions() {
        return new revokeSignInSessionsRequestBuilder_1.RevokeSignInSessionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the scopedRoleMemberOf property of the microsoft.graph.user entity.
     */
    get scopedRoleMemberOf() {
        return new scopedRoleMemberOfRequestBuilder_1.ScopedRoleMemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sendMail method.
     */
    get sendMail() {
        return new sendMailRequestBuilder_1.SendMailRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * The serviceProvisioningErrors property
     */
    get serviceProvisioningErrors() {
        return new serviceProvisioningErrorsRequestBuilder_1.ServiceProvisioningErrorsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the settings property of the microsoft.graph.user entity.
     */
    get settings() {
        return new settingsRequestBuilder_1.SettingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the teamwork property of the microsoft.graph.user entity.
     */
    get teamwork() {
        return new teamworkRequestBuilder_1.TeamworkRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the todo property of the microsoft.graph.user entity.
     */
    get todo() {
        return new todoRequestBuilder_1.TodoRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the transitiveMemberOf property of the microsoft.graph.user entity.
     */
    get transitiveMemberOf() {
        return new transitiveMemberOfRequestBuilder_1.TransitiveMemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the translateExchangeIds method.
     */
    get translateExchangeIds() {
        return new translateExchangeIdsRequestBuilder_1.TranslateExchangeIdsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the wipeManagedAppRegistrationsByDeviceTag method.
     */
    get wipeManagedAppRegistrationsByDeviceTag() {
        return new wipeManagedAppRegistrationsByDeviceTagRequestBuilder_1.WipeManagedAppRegistrationsByDeviceTagRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new UserItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}{?%24select,%24expand}");
    }
    ;
    /**
     * Delete user.   When deleted, user resources are moved to a temporary container and can be restored within 30 days.  After that time, they are permanently deleted.  To learn more, see deletedItems.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/user-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Provides operations to call the exportDeviceAndAppManagementData method.
     * @param skip Usage: skip={skip}
     * @param top Usage: top={top}
     * @returns a exportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder
     */
    exportDeviceAndAppManagementDataWithSkipWithTop(skip, top) {
        if (!skip)
            throw new Error("skip cannot be undefined");
        if (!top)
            throw new Error("top cannot be undefined");
        return new exportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder_1.ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder(this.pathParameters, this.requestAdapter, skip, top);
    }
    ;
    /**
     * Read properties and relationships of the user object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of User
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-user-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, user_1.createUserFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the properties of a user object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of User
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-user-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, user_1.createUserFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Provides operations to call the reminderView method.
     * @param EndDateTime Usage: EndDateTime='{EndDateTime}'
     * @param StartDateTime Usage: StartDateTime='{StartDateTime}'
     * @returns a reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    reminderViewWithStartDateTimeWithEndDateTime(endDateTime, startDateTime) {
        if (!endDateTime)
            throw new Error("endDateTime cannot be undefined");
        if (!startDateTime)
            throw new Error("startDateTime cannot be undefined");
        return new reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder_1.ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder(this.pathParameters, this.requestAdapter, endDateTime, startDateTime);
    }
    ;
    /**
     * Delete user.   When deleted, user resources are moved to a temporary container and can be restored within 30 days.  After that time, they are permanently deleted.  To learn more, see deletedItems.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.DELETE, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Read properties and relationships of the user object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, userItemRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Update the properties of a user object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.PATCH, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, user_1.serializeUser);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a UserItemRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new UserItemRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.UserItemRequestBuilder = UserItemRequestBuilder;
const userItemRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
