"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRemoveKeyPostRequestBody = exports.deserializeIntoRemoveKeyPostRequestBody = exports.createRemoveKeyPostRequestBodyFromDiscriminatorValue = void 0;
function createRemoveKeyPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRemoveKeyPostRequestBody;
}
exports.createRemoveKeyPostRequestBodyFromDiscriminatorValue = createRemoveKeyPostRequestBodyFromDiscriminatorValue;
function deserializeIntoRemoveKeyPostRequestBody(removeKeyPostRequestBody = {}) {
    return {
        "keyId": n => { removeKeyPostRequestBody.keyId = n.getGuidValue(); },
        "proof": n => { removeKeyPostRequestBody.proof = n.getStringValue(); },
    };
}
exports.deserializeIntoRemoveKeyPostRequestBody = deserializeIntoRemoveKeyPostRequestBody;
function serializeRemoveKeyPostRequestBody(writer, removeKeyPostRequestBody = {}) {
    writer.writeGuidValue("keyId", removeKeyPostRequestBody.keyId);
    writer.writeStringValue("proof", removeKeyPostRequestBody.proof);
    writer.writeAdditionalData(removeKeyPostRequestBody.additionalData);
}
exports.serializeRemoveKeyPostRequestBody = serializeRemoveKeyPostRequestBody;
// tslint:enable
// eslint-enable
