import { type SynchronizationSecretKeyStringValuePair } from '../../../../models/synchronizationSecretKeyStringValuePair';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AcquireAccessTokenPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The credentials property
     */
    credentials?: SynchronizationSecretKeyStringValuePair[];
}
export declare function createAcquireAccessTokenPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAcquireAccessTokenPostRequestBody;
export declare function deserializeIntoAcquireAccessTokenPostRequestBody(acquireAccessTokenPostRequestBody?: AcquireAccessTokenPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAcquireAccessTokenPostRequestBody(writer: SerializationWriter, acquireAccessTokenPostRequestBody?: AcquireAccessTokenPostRequestBody | undefined): void;
