import { type AttributeMappingFunctionSchema } from '../../../../../../../models/attributeMappingFunctionSchema';
import { type BaseCollectionPaginationCountResponse } from '../../../../../../../models/baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFunctionsGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFunctionsGetResponse;
export declare function deserializeIntoFunctionsGetResponse(functionsGetResponse?: FunctionsGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface FunctionsGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AttributeMappingFunctionSchema[];
}
export declare function serializeFunctionsGetResponse(writer: SerializationWriter, functionsGetResponse?: FunctionsGetResponse | undefined): void;
