import { ScreenSharingRole } from '../../../../models/screenSharingRole';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChangeScreenSharingRolePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The role property
     */
    role?: ScreenSharingRole;
}
export declare function createChangeScreenSharingRolePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChangeScreenSharingRolePostRequestBody;
export declare function deserializeIntoChangeScreenSharingRolePostRequestBody(changeScreenSharingRolePostRequestBody?: ChangeScreenSharingRolePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChangeScreenSharingRolePostRequestBody(writer: SerializationWriter, changeScreenSharingRolePostRequestBody?: ChangeScreenSharingRolePostRequestBody | undefined): void;
