import { type Prompt } from '../../../../../../models/prompt';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStartHoldMusicPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStartHoldMusicPostRequestBody;
export declare function deserializeIntoStartHoldMusicPostRequestBody(startHoldMusicPostRequestBody?: StartHoldMusicPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStartHoldMusicPostRequestBody(writer: SerializationWriter, startHoldMusicPostRequestBody?: StartHoldMusicPostRequestBody | undefined): void;
export interface StartHoldMusicPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clientContext property
     */
    clientContext?: string;
    /**
     * The customPrompt property
     */
    customPrompt?: Prompt;
}
