import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnmutePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnmutePostRequestBody;
export declare function deserializeIntoUnmutePostRequestBody(unmutePostRequestBody?: UnmutePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnmutePostRequestBody(writer: SerializationWriter, unmutePostRequestBody?: UnmutePostRequestBody | undefined): void;
export interface UnmutePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clientContext property
     */
    clientContext?: string;
}
