import { type FileEncryptionInfo } from '../../../../../../../../../models/fileEncryptionInfo';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommitPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fileEncryptionInfo property
     */
    fileEncryptionInfo?: FileEncryptionInfo;
}
export declare function createCommitPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCommitPostRequestBody;
export declare function deserializeIntoCommitPostRequestBody(commitPostRequestBody?: CommitPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommitPostRequestBody(writer: SerializationWriter, commitPostRequestBody?: CommitPostRequestBody | undefined): void;
