import { type BaseCollectionPaginationCountResponse } from '../../models/baseCollectionPaginationCountResponse';
import { type RolePermission } from '../../models/rolePermission';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetEffectivePermissionsWithScopeGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetEffectivePermissionsWithScopeGetResponse;
export declare function deserializeIntoGetEffectivePermissionsWithScopeGetResponse(getEffectivePermissionsWithScopeGetResponse?: GetEffectivePermissionsWithScopeGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetEffectivePermissionsWithScopeGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RolePermission[];
}
export declare function serializeGetEffectivePermissionsWithScopeGetResponse(writer: SerializationWriter, getEffectivePermissionsWithScopeGetResponse?: GetEffectivePermissionsWithScopeGetResponse | undefined): void;
