"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUpdateDevicePropertiesPostRequestBody = exports.deserializeIntoUpdateDevicePropertiesPostRequestBody = exports.createUpdateDevicePropertiesPostRequestBodyFromDiscriminatorValue = void 0;
function createUpdateDevicePropertiesPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUpdateDevicePropertiesPostRequestBody;
}
exports.createUpdateDevicePropertiesPostRequestBodyFromDiscriminatorValue = createUpdateDevicePropertiesPostRequestBodyFromDiscriminatorValue;
function deserializeIntoUpdateDevicePropertiesPostRequestBody(updateDevicePropertiesPostRequestBody = {}) {
    return {
        "addressableUserName": n => { updateDevicePropertiesPostRequestBody.addressableUserName = n.getStringValue(); },
        "displayName": n => { updateDevicePropertiesPostRequestBody.displayName = n.getStringValue(); },
        "groupTag": n => { updateDevicePropertiesPostRequestBody.groupTag = n.getStringValue(); },
        "userPrincipalName": n => { updateDevicePropertiesPostRequestBody.userPrincipalName = n.getStringValue(); },
    };
}
exports.deserializeIntoUpdateDevicePropertiesPostRequestBody = deserializeIntoUpdateDevicePropertiesPostRequestBody;
function serializeUpdateDevicePropertiesPostRequestBody(writer, updateDevicePropertiesPostRequestBody = {}) {
    writer.writeStringValue("addressableUserName", updateDevicePropertiesPostRequestBody.addressableUserName);
    writer.writeStringValue("displayName", updateDevicePropertiesPostRequestBody.displayName);
    writer.writeStringValue("groupTag", updateDevicePropertiesPostRequestBody.groupTag);
    writer.writeStringValue("userPrincipalName", updateDevicePropertiesPostRequestBody.userPrincipalName);
    writer.writeAdditionalData(updateDevicePropertiesPostRequestBody.additionalData);
}
exports.serializeUpdateDevicePropertiesPostRequestBody = serializeUpdateDevicePropertiesPostRequestBody;
// tslint:enable
// eslint-enable
