import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CheckMemberGroupsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The groupIds property
     */
    groupIds?: string[];
}
export declare function createCheckMemberGroupsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCheckMemberGroupsPostRequestBody;
export declare function deserializeIntoCheckMemberGroupsPostRequestBody(checkMemberGroupsPostRequestBody?: CheckMemberGroupsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCheckMemberGroupsPostRequestBody(writer: SerializationWriter, checkMemberGroupsPostRequestBody?: CheckMemberGroupsPostRequestBody | undefined): void;
