"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePromotePostResponse = exports.deserializeIntoPromotePostResponse = exports.createPromotePostResponseFromDiscriminatorValue = void 0;
function createPromotePostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPromotePostResponse;
}
exports.createPromotePostResponseFromDiscriminatorValue = createPromotePostResponseFromDiscriminatorValue;
function deserializeIntoPromotePostResponse(promotePostResponse = {}) {
    return {
        "value": n => { promotePostResponse.value = n.getBooleanValue(); },
    };
}
exports.deserializeIntoPromotePostResponse = deserializeIntoPromotePostResponse;
function serializePromotePostResponse(writer, promotePostResponse = {}) {
    writer.writeBooleanValue("value", promotePostResponse.value);
    writer.writeAdditionalData(promotePostResponse.additionalData);
}
exports.serializePromotePostResponse = serializePromotePostResponse;
// tslint:enable
// eslint-enable
