import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateLinkPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateLinkPostRequestBody;
export interface CreateLinkPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The expirationDateTime property
     */
    expirationDateTime?: Date;
    /**
     * The message property
     */
    message?: string;
    /**
     * The password property
     */
    password?: string;
    /**
     * The retainInheritedPermissions property
     */
    retainInheritedPermissions?: boolean;
    /**
     * The scope property
     */
    scope?: string;
    /**
     * The type property
     */
    type?: string;
}
export declare function deserializeIntoCreateLinkPostRequestBody(createLinkPostRequestBody?: CreateLinkPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateLinkPostRequestBody(writer: SerializationWriter, createLinkPostRequestBody?: CreateLinkPostRequestBody | undefined): void;
