"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCreateLinkPostRequestBody = exports.deserializeIntoCreateLinkPostRequestBody = exports.createCreateLinkPostRequestBodyFromDiscriminatorValue = void 0;
function createCreateLinkPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCreateLinkPostRequestBody;
}
exports.createCreateLinkPostRequestBodyFromDiscriminatorValue = createCreateLinkPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCreateLinkPostRequestBody(createLinkPostRequestBody = {}) {
    return {
        "expirationDateTime": n => { createLinkPostRequestBody.expirationDateTime = n.getDateValue(); },
        "message": n => { createLinkPostRequestBody.message = n.getStringValue(); },
        "password": n => { createLinkPostRequestBody.password = n.getStringValue(); },
        "retainInheritedPermissions": n => { createLinkPostRequestBody.retainInheritedPermissions = n.getBooleanValue(); },
        "scope": n => { createLinkPostRequestBody.scope = n.getStringValue(); },
        "type": n => { createLinkPostRequestBody.type = n.getStringValue(); },
    };
}
exports.deserializeIntoCreateLinkPostRequestBody = deserializeIntoCreateLinkPostRequestBody;
function serializeCreateLinkPostRequestBody(writer, createLinkPostRequestBody = {}) {
    writer.writeDateValue("expirationDateTime", createLinkPostRequestBody.expirationDateTime);
    writer.writeStringValue("message", createLinkPostRequestBody.message);
    writer.writeStringValue("password", createLinkPostRequestBody.password);
    writer.writeBooleanValue("retainInheritedPermissions", createLinkPostRequestBody.retainInheritedPermissions);
    writer.writeStringValue("scope", createLinkPostRequestBody.scope);
    writer.writeStringValue("type", createLinkPostRequestBody.type);
    writer.writeAdditionalData(createLinkPostRequestBody.additionalData);
}
exports.serializeCreateLinkPostRequestBody = serializeCreateLinkPostRequestBody;
// tslint:enable
// eslint-enable
