import { type ItemReference } from '../../../../../models/itemReference';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRestorePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRestorePostRequestBody;
export declare function deserializeIntoRestorePostRequestBody(restorePostRequestBody?: RestorePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RestorePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name property
     */
    name?: string;
    /**
     * The parentReference property
     */
    parentReference?: ItemReference;
}
export declare function serializeRestorePostRequestBody(writer: SerializationWriter, restorePostRequestBody?: RestorePostRequestBody | undefined): void;
