"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCalculatePostRequestBody = exports.deserializeIntoCalculatePostRequestBody = exports.createCalculatePostRequestBodyFromDiscriminatorValue = void 0;
function createCalculatePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCalculatePostRequestBody;
}
exports.createCalculatePostRequestBodyFromDiscriminatorValue = createCalculatePostRequestBodyFromDiscriminatorValue;
function deserializeIntoCalculatePostRequestBody(calculatePostRequestBody = {}) {
    return {
        "calculationType": n => { calculatePostRequestBody.calculationType = n.getStringValue(); },
    };
}
exports.deserializeIntoCalculatePostRequestBody = deserializeIntoCalculatePostRequestBody;
function serializeCalculatePostRequestBody(writer, calculatePostRequestBody = {}) {
    writer.writeStringValue("calculationType", calculatePostRequestBody.calculationType);
    writer.writeAdditionalData(calculatePostRequestBody.additionalData);
}
exports.serializeCalculatePostRequestBody = serializeCalculatePostRequestBody;
// tslint:enable
// eslint-enable
