import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AcoshPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createAcoshPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAcoshPostRequestBody;
export declare function deserializeIntoAcoshPostRequestBody(acoshPostRequestBody?: AcoshPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAcoshPostRequestBody(writer: SerializationWriter, acoshPostRequestBody?: AcoshPostRequestBody | undefined): void;
