import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AcotPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createAcotPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAcotPostRequestBody;
export declare function deserializeIntoAcotPostRequestBody(acotPostRequestBody?: AcotPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAcotPostRequestBody(writer: SerializationWriter, acotPostRequestBody?: AcotPostRequestBody | undefined): void;
