import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ArabicPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
export declare function createArabicPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoArabicPostRequestBody;
export declare function deserializeIntoArabicPostRequestBody(arabicPostRequestBody?: ArabicPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeArabicPostRequestBody(writer: SerializationWriter, arabicPostRequestBody?: ArabicPostRequestBody | undefined): void;
