import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AtanhPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function createAtanhPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAtanhPostRequestBody;
export declare function deserializeIntoAtanhPostRequestBody(atanhPostRequestBody?: AtanhPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAtanhPostRequestBody(writer: SerializationWriter, atanhPostRequestBody?: AtanhPostRequestBody | undefined): void;
