import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BesselYPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The n property
     */
    n?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function createBesselYPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBesselYPostRequestBody;
export declare function deserializeIntoBesselYPostRequestBody(besselYPostRequestBody?: BesselYPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBesselYPostRequestBody(writer: SerializationWriter, besselYPostRequestBody?: BesselYPostRequestBody | undefined): void;
