import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Bin2HexPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The places property
     */
    places?: Json;
}
export declare function createBin2HexPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBin2HexPostRequestBody;
export declare function deserializeIntoBin2HexPostRequestBody(bin2HexPostRequestBody?: Bin2HexPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBin2HexPostRequestBody(writer: SerializationWriter, bin2HexPostRequestBody?: Bin2HexPostRequestBody | undefined): void;
