import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDbcsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDbcsPostRequestBody;
export interface DbcsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
export declare function deserializeIntoDbcsPostRequestBody(dbcsPostRequestBody?: DbcsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDbcsPostRequestBody(writer: SerializationWriter, dbcsPostRequestBody?: DbcsPostRequestBody | undefined): void;
