import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDec2BinPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDec2BinPostRequestBody;
export interface Dec2BinPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The places property
     */
    places?: Json;
}
export declare function deserializeIntoDec2BinPostRequestBody(dec2BinPostRequestBody?: Dec2BinPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDec2BinPostRequestBody(writer: SerializationWriter, dec2BinPostRequestBody?: Dec2BinPostRequestBody | undefined): void;
