import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDec2OctPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDec2OctPostRequestBody;
export interface Dec2OctPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The places property
     */
    places?: Json;
}
export declare function deserializeIntoDec2OctPostRequestBody(dec2OctPostRequestBody?: Dec2OctPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDec2OctPostRequestBody(writer: SerializationWriter, dec2OctPostRequestBody?: Dec2OctPostRequestBody | undefined): void;
