import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEcma_CeilingPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEcma_CeilingPostRequestBody;
export declare function deserializeIntoEcma_CeilingPostRequestBody(ecma_CeilingPostRequestBody?: Ecma_CeilingPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Ecma_CeilingPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The significance property
     */
    significance?: Json;
}
export declare function serializeEcma_CeilingPostRequestBody(writer: SerializationWriter, ecma_CeilingPostRequestBody?: Ecma_CeilingPostRequestBody | undefined): void;
