import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createErfCPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoErfCPostRequestBody;
export declare function deserializeIntoErfCPostRequestBody(erfCPostRequestBody?: ErfCPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ErfCPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeErfCPostRequestBody(writer: SerializationWriter, erfCPostRequestBody?: ErfCPostRequestBody | undefined): void;
