import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExpon_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExpon_DistPostRequestBody;
export declare function deserializeIntoExpon_DistPostRequestBody(expon_DistPostRequestBody?: Expon_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Expon_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The lambda property
     */
    lambda?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeExpon_DistPostRequestBody(writer: SerializationWriter, expon_DistPostRequestBody?: Expon_DistPostRequestBody | undefined): void;
