import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createF_Dist_RTPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoF_Dist_RTPostRequestBody;
export declare function deserializeIntoF_Dist_RTPostRequestBody(f_Dist_RTPostRequestBody?: F_Dist_RTPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface F_Dist_RTPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The degFreedom1 property
     */
    degFreedom1?: Json;
    /**
     * The degFreedom2 property
     */
    degFreedom2?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeF_Dist_RTPostRequestBody(writer: SerializationWriter, f_Dist_RTPostRequestBody?: F_Dist_RTPostRequestBody | undefined): void;
