import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFindBPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFindBPostRequestBody;
export declare function deserializeIntoFindBPostRequestBody(findBPostRequestBody?: FindBPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FindBPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The findText property
     */
    findText?: Json;
    /**
     * The startNum property
     */
    startNum?: Json;
    /**
     * The withinText property
     */
    withinText?: Json;
}
export declare function serializeFindBPostRequestBody(writer: SerializationWriter, findBPostRequestBody?: FindBPostRequestBody | undefined): void;
