"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FunctionsRequestBuilder = void 0;
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const workbookFunctions_1 = require("../../../../../../models/workbookFunctions");
const absRequestBuilder_1 = require("./abs/absRequestBuilder");
const accrIntRequestBuilder_1 = require("./accrInt/accrIntRequestBuilder");
const accrIntMRequestBuilder_1 = require("./accrIntM/accrIntMRequestBuilder");
const acosRequestBuilder_1 = require("./acos/acosRequestBuilder");
const acoshRequestBuilder_1 = require("./acosh/acoshRequestBuilder");
const acotRequestBuilder_1 = require("./acot/acotRequestBuilder");
const acothRequestBuilder_1 = require("./acoth/acothRequestBuilder");
const amorDegrcRequestBuilder_1 = require("./amorDegrc/amorDegrcRequestBuilder");
const amorLincRequestBuilder_1 = require("./amorLinc/amorLincRequestBuilder");
const andRequestBuilder_1 = require("./and/andRequestBuilder");
const arabicRequestBuilder_1 = require("./arabic/arabicRequestBuilder");
const areasRequestBuilder_1 = require("./areas/areasRequestBuilder");
const ascRequestBuilder_1 = require("./asc/ascRequestBuilder");
const asinRequestBuilder_1 = require("./asin/asinRequestBuilder");
const asinhRequestBuilder_1 = require("./asinh/asinhRequestBuilder");
const atanRequestBuilder_1 = require("./atan/atanRequestBuilder");
const atan2RequestBuilder_1 = require("./atan2/atan2RequestBuilder");
const atanhRequestBuilder_1 = require("./atanh/atanhRequestBuilder");
const aveDevRequestBuilder_1 = require("./aveDev/aveDevRequestBuilder");
const averageRequestBuilder_1 = require("./average/averageRequestBuilder");
const averageARequestBuilder_1 = require("./averageA/averageARequestBuilder");
const averageIfRequestBuilder_1 = require("./averageIf/averageIfRequestBuilder");
const averageIfsRequestBuilder_1 = require("./averageIfs/averageIfsRequestBuilder");
const bahtTextRequestBuilder_1 = require("./bahtText/bahtTextRequestBuilder");
const baseRequestBuilderEscaped_1 = require("./base/baseRequestBuilderEscaped");
const besselIRequestBuilder_1 = require("./besselI/besselIRequestBuilder");
const besselJRequestBuilder_1 = require("./besselJ/besselJRequestBuilder");
const besselKRequestBuilder_1 = require("./besselK/besselKRequestBuilder");
const besselYRequestBuilder_1 = require("./besselY/besselYRequestBuilder");
const beta_DistRequestBuilder_1 = require("./beta_Dist/beta_DistRequestBuilder");
const beta_InvRequestBuilder_1 = require("./beta_Inv/beta_InvRequestBuilder");
const bin2DecRequestBuilder_1 = require("./bin2Dec/bin2DecRequestBuilder");
const bin2HexRequestBuilder_1 = require("./bin2Hex/bin2HexRequestBuilder");
const bin2OctRequestBuilder_1 = require("./bin2Oct/bin2OctRequestBuilder");
const binom_Dist_RangeRequestBuilder_1 = require("./binom_Dist_Range/binom_Dist_RangeRequestBuilder");
const binom_DistRequestBuilder_1 = require("./binom_Dist/binom_DistRequestBuilder");
const binom_InvRequestBuilder_1 = require("./binom_Inv/binom_InvRequestBuilder");
const bitandRequestBuilder_1 = require("./bitand/bitandRequestBuilder");
const bitlshiftRequestBuilder_1 = require("./bitlshift/bitlshiftRequestBuilder");
const bitorRequestBuilder_1 = require("./bitor/bitorRequestBuilder");
const bitrshiftRequestBuilder_1 = require("./bitrshift/bitrshiftRequestBuilder");
const bitxorRequestBuilder_1 = require("./bitxor/bitxorRequestBuilder");
const ceiling_MathRequestBuilder_1 = require("./ceiling_Math/ceiling_MathRequestBuilder");
const ceiling_PreciseRequestBuilder_1 = require("./ceiling_Precise/ceiling_PreciseRequestBuilder");
const charRequestBuilder_1 = require("./char/charRequestBuilder");
const chiSq_Dist_RTRequestBuilder_1 = require("./chiSq_Dist_RT/chiSq_Dist_RTRequestBuilder");
const chiSq_DistRequestBuilder_1 = require("./chiSq_Dist/chiSq_DistRequestBuilder");
const chiSq_Inv_RTRequestBuilder_1 = require("./chiSq_Inv_RT/chiSq_Inv_RTRequestBuilder");
const chiSq_InvRequestBuilder_1 = require("./chiSq_Inv/chiSq_InvRequestBuilder");
const chooseRequestBuilder_1 = require("./choose/chooseRequestBuilder");
const cleanRequestBuilder_1 = require("./clean/cleanRequestBuilder");
const codeRequestBuilder_1 = require("./code/codeRequestBuilder");
const columnsRequestBuilder_1 = require("./columns/columnsRequestBuilder");
const combinRequestBuilder_1 = require("./combin/combinRequestBuilder");
const combinaRequestBuilder_1 = require("./combina/combinaRequestBuilder");
const complexRequestBuilder_1 = require("./complex/complexRequestBuilder");
const concatenateRequestBuilder_1 = require("./concatenate/concatenateRequestBuilder");
const confidence_NormRequestBuilder_1 = require("./confidence_Norm/confidence_NormRequestBuilder");
const confidence_TRequestBuilder_1 = require("./confidence_T/confidence_TRequestBuilder");
const convertRequestBuilder_1 = require("./convert/convertRequestBuilder");
const cosRequestBuilder_1 = require("./cos/cosRequestBuilder");
const coshRequestBuilder_1 = require("./cosh/coshRequestBuilder");
const cotRequestBuilder_1 = require("./cot/cotRequestBuilder");
const cothRequestBuilder_1 = require("./coth/cothRequestBuilder");
const countRequestBuilder_1 = require("./count/countRequestBuilder");
const countARequestBuilder_1 = require("./countA/countARequestBuilder");
const countBlankRequestBuilder_1 = require("./countBlank/countBlankRequestBuilder");
const countIfRequestBuilder_1 = require("./countIf/countIfRequestBuilder");
const countIfsRequestBuilder_1 = require("./countIfs/countIfsRequestBuilder");
const coupDayBsRequestBuilder_1 = require("./coupDayBs/coupDayBsRequestBuilder");
const coupDaysRequestBuilder_1 = require("./coupDays/coupDaysRequestBuilder");
const coupDaysNcRequestBuilder_1 = require("./coupDaysNc/coupDaysNcRequestBuilder");
const coupNcdRequestBuilder_1 = require("./coupNcd/coupNcdRequestBuilder");
const coupNumRequestBuilder_1 = require("./coupNum/coupNumRequestBuilder");
const coupPcdRequestBuilder_1 = require("./coupPcd/coupPcdRequestBuilder");
const cscRequestBuilder_1 = require("./csc/cscRequestBuilder");
const cschRequestBuilder_1 = require("./csch/cschRequestBuilder");
const cumIPmtRequestBuilder_1 = require("./cumIPmt/cumIPmtRequestBuilder");
const cumPrincRequestBuilder_1 = require("./cumPrinc/cumPrincRequestBuilder");
const dateRequestBuilder_1 = require("./date/dateRequestBuilder");
const datevalueRequestBuilder_1 = require("./datevalue/datevalueRequestBuilder");
const daverageRequestBuilder_1 = require("./daverage/daverageRequestBuilder");
const dayRequestBuilder_1 = require("./day/dayRequestBuilder");
const daysRequestBuilder_1 = require("./days/daysRequestBuilder");
const days360RequestBuilder_1 = require("./days360/days360RequestBuilder");
const dbRequestBuilder_1 = require("./db/dbRequestBuilder");
const dbcsRequestBuilder_1 = require("./dbcs/dbcsRequestBuilder");
const dcountRequestBuilder_1 = require("./dcount/dcountRequestBuilder");
const dcountARequestBuilder_1 = require("./dcountA/dcountARequestBuilder");
const ddbRequestBuilder_1 = require("./ddb/ddbRequestBuilder");
const dec2BinRequestBuilder_1 = require("./dec2Bin/dec2BinRequestBuilder");
const dec2HexRequestBuilder_1 = require("./dec2Hex/dec2HexRequestBuilder");
const dec2OctRequestBuilder_1 = require("./dec2Oct/dec2OctRequestBuilder");
const decimalRequestBuilder_1 = require("./decimal/decimalRequestBuilder");
const degreesRequestBuilder_1 = require("./degrees/degreesRequestBuilder");
const deltaRequestBuilder_1 = require("./delta/deltaRequestBuilder");
const devSqRequestBuilder_1 = require("./devSq/devSqRequestBuilder");
const dgetRequestBuilder_1 = require("./dget/dgetRequestBuilder");
const discRequestBuilder_1 = require("./disc/discRequestBuilder");
const dmaxRequestBuilder_1 = require("./dmax/dmaxRequestBuilder");
const dminRequestBuilder_1 = require("./dmin/dminRequestBuilder");
const dollarRequestBuilder_1 = require("./dollar/dollarRequestBuilder");
const dollarDeRequestBuilder_1 = require("./dollarDe/dollarDeRequestBuilder");
const dollarFrRequestBuilder_1 = require("./dollarFr/dollarFrRequestBuilder");
const dproductRequestBuilder_1 = require("./dproduct/dproductRequestBuilder");
const dstDevRequestBuilder_1 = require("./dstDev/dstDevRequestBuilder");
const dstDevPRequestBuilder_1 = require("./dstDevP/dstDevPRequestBuilder");
const dsumRequestBuilder_1 = require("./dsum/dsumRequestBuilder");
const durationRequestBuilder_1 = require("./duration/durationRequestBuilder");
const dvarRequestBuilder_1 = require("./dvar/dvarRequestBuilder");
const dvarPRequestBuilder_1 = require("./dvarP/dvarPRequestBuilder");
const ecma_CeilingRequestBuilder_1 = require("./ecma_Ceiling/ecma_CeilingRequestBuilder");
const edateRequestBuilder_1 = require("./edate/edateRequestBuilder");
const effectRequestBuilder_1 = require("./effect/effectRequestBuilder");
const eoMonthRequestBuilder_1 = require("./eoMonth/eoMonthRequestBuilder");
const erf_PreciseRequestBuilder_1 = require("./erf_Precise/erf_PreciseRequestBuilder");
const erfRequestBuilder_1 = require("./erf/erfRequestBuilder");
const erfC_PreciseRequestBuilder_1 = require("./erfC_Precise/erfC_PreciseRequestBuilder");
const erfCRequestBuilder_1 = require("./erfC/erfCRequestBuilder");
const error_TypeRequestBuilder_1 = require("./error_Type/error_TypeRequestBuilder");
const evenRequestBuilder_1 = require("./even/evenRequestBuilder");
const exactRequestBuilder_1 = require("./exact/exactRequestBuilder");
const expRequestBuilder_1 = require("./exp/expRequestBuilder");
const expon_DistRequestBuilder_1 = require("./expon_Dist/expon_DistRequestBuilder");
const f_Dist_RTRequestBuilder_1 = require("./f_Dist_RT/f_Dist_RTRequestBuilder");
const f_DistRequestBuilder_1 = require("./f_Dist/f_DistRequestBuilder");
const f_Inv_RTRequestBuilder_1 = require("./f_Inv_RT/f_Inv_RTRequestBuilder");
const f_InvRequestBuilder_1 = require("./f_Inv/f_InvRequestBuilder");
const factRequestBuilder_1 = require("./fact/factRequestBuilder");
const factDoubleRequestBuilder_1 = require("./factDouble/factDoubleRequestBuilder");
const falseRequestBuilder_1 = require("./falseEscaped/falseRequestBuilder");
const findRequestBuilder_1 = require("./find/findRequestBuilder");
const findBRequestBuilder_1 = require("./findB/findBRequestBuilder");
const fisherRequestBuilder_1 = require("./fisher/fisherRequestBuilder");
const fisherInvRequestBuilder_1 = require("./fisherInv/fisherInvRequestBuilder");
const fixedRequestBuilder_1 = require("./fixed/fixedRequestBuilder");
const floor_MathRequestBuilder_1 = require("./floor_Math/floor_MathRequestBuilder");
const floor_PreciseRequestBuilder_1 = require("./floor_Precise/floor_PreciseRequestBuilder");
const fvRequestBuilder_1 = require("./fv/fvRequestBuilder");
const fvscheduleRequestBuilder_1 = require("./fvschedule/fvscheduleRequestBuilder");
const gamma_DistRequestBuilder_1 = require("./gamma_Dist/gamma_DistRequestBuilder");
const gamma_InvRequestBuilder_1 = require("./gamma_Inv/gamma_InvRequestBuilder");
const gammaRequestBuilder_1 = require("./gamma/gammaRequestBuilder");
const gammaLn_PreciseRequestBuilder_1 = require("./gammaLn_Precise/gammaLn_PreciseRequestBuilder");
const gammaLnRequestBuilder_1 = require("./gammaLn/gammaLnRequestBuilder");
const gaussRequestBuilder_1 = require("./gauss/gaussRequestBuilder");
const gcdRequestBuilder_1 = require("./gcd/gcdRequestBuilder");
const geoMeanRequestBuilder_1 = require("./geoMean/geoMeanRequestBuilder");
const geStepRequestBuilder_1 = require("./geStep/geStepRequestBuilder");
const harMeanRequestBuilder_1 = require("./harMean/harMeanRequestBuilder");
const hex2BinRequestBuilder_1 = require("./hex2Bin/hex2BinRequestBuilder");
const hex2DecRequestBuilder_1 = require("./hex2Dec/hex2DecRequestBuilder");
const hex2OctRequestBuilder_1 = require("./hex2Oct/hex2OctRequestBuilder");
const hlookupRequestBuilder_1 = require("./hlookup/hlookupRequestBuilder");
const hourRequestBuilder_1 = require("./hour/hourRequestBuilder");
const hyperlinkRequestBuilder_1 = require("./hyperlink/hyperlinkRequestBuilder");
const hypGeom_DistRequestBuilder_1 = require("./hypGeom_Dist/hypGeom_DistRequestBuilder");
const ifRequestBuilder_1 = require("./ifEscaped/ifRequestBuilder");
const imAbsRequestBuilder_1 = require("./imAbs/imAbsRequestBuilder");
const imaginaryRequestBuilder_1 = require("./imaginary/imaginaryRequestBuilder");
const imArgumentRequestBuilder_1 = require("./imArgument/imArgumentRequestBuilder");
const imConjugateRequestBuilder_1 = require("./imConjugate/imConjugateRequestBuilder");
const imCosRequestBuilder_1 = require("./imCos/imCosRequestBuilder");
const imCoshRequestBuilder_1 = require("./imCosh/imCoshRequestBuilder");
const imCotRequestBuilder_1 = require("./imCot/imCotRequestBuilder");
const imCscRequestBuilder_1 = require("./imCsc/imCscRequestBuilder");
const imCschRequestBuilder_1 = require("./imCsch/imCschRequestBuilder");
const imDivRequestBuilder_1 = require("./imDiv/imDivRequestBuilder");
const imExpRequestBuilder_1 = require("./imExp/imExpRequestBuilder");
const imLnRequestBuilder_1 = require("./imLn/imLnRequestBuilder");
const imLog10RequestBuilder_1 = require("./imLog10/imLog10RequestBuilder");
const imLog2RequestBuilder_1 = require("./imLog2/imLog2RequestBuilder");
const imPowerRequestBuilder_1 = require("./imPower/imPowerRequestBuilder");
const imProductRequestBuilder_1 = require("./imProduct/imProductRequestBuilder");
const imRealRequestBuilder_1 = require("./imReal/imRealRequestBuilder");
const imSecRequestBuilder_1 = require("./imSec/imSecRequestBuilder");
const imSechRequestBuilder_1 = require("./imSech/imSechRequestBuilder");
const imSinRequestBuilder_1 = require("./imSin/imSinRequestBuilder");
const imSinhRequestBuilder_1 = require("./imSinh/imSinhRequestBuilder");
const imSqrtRequestBuilder_1 = require("./imSqrt/imSqrtRequestBuilder");
const imSubRequestBuilder_1 = require("./imSub/imSubRequestBuilder");
const imSumRequestBuilder_1 = require("./imSum/imSumRequestBuilder");
const imTanRequestBuilder_1 = require("./imTan/imTanRequestBuilder");
const intRequestBuilder_1 = require("./int/intRequestBuilder");
const intRateRequestBuilder_1 = require("./intRate/intRateRequestBuilder");
const ipmtRequestBuilder_1 = require("./ipmt/ipmtRequestBuilder");
const irrRequestBuilder_1 = require("./irr/irrRequestBuilder");
const isErrRequestBuilder_1 = require("./isErr/isErrRequestBuilder");
const isErrorRequestBuilder_1 = require("./isError/isErrorRequestBuilder");
const isEvenRequestBuilder_1 = require("./isEven/isEvenRequestBuilder");
const isFormulaRequestBuilder_1 = require("./isFormula/isFormulaRequestBuilder");
const isLogicalRequestBuilder_1 = require("./isLogical/isLogicalRequestBuilder");
const isNARequestBuilder_1 = require("./isNA/isNARequestBuilder");
const isNonTextRequestBuilder_1 = require("./isNonText/isNonTextRequestBuilder");
const isNumberRequestBuilder_1 = require("./isNumber/isNumberRequestBuilder");
const iso_CeilingRequestBuilder_1 = require("./iso_Ceiling/iso_CeilingRequestBuilder");
const isOddRequestBuilder_1 = require("./isOdd/isOddRequestBuilder");
const isoWeekNumRequestBuilder_1 = require("./isoWeekNum/isoWeekNumRequestBuilder");
const ispmtRequestBuilder_1 = require("./ispmt/ispmtRequestBuilder");
const isrefRequestBuilder_1 = require("./isref/isrefRequestBuilder");
const isTextRequestBuilder_1 = require("./isText/isTextRequestBuilder");
const kurtRequestBuilder_1 = require("./kurt/kurtRequestBuilder");
const largeRequestBuilder_1 = require("./large/largeRequestBuilder");
const lcmRequestBuilder_1 = require("./lcm/lcmRequestBuilder");
const leftRequestBuilder_1 = require("./left/leftRequestBuilder");
const leftbRequestBuilder_1 = require("./leftb/leftbRequestBuilder");
const lenRequestBuilder_1 = require("./len/lenRequestBuilder");
const lenbRequestBuilder_1 = require("./lenb/lenbRequestBuilder");
const lnRequestBuilder_1 = require("./ln/lnRequestBuilder");
const logRequestBuilder_1 = require("./log/logRequestBuilder");
const log10RequestBuilder_1 = require("./log10/log10RequestBuilder");
const logNorm_DistRequestBuilder_1 = require("./logNorm_Dist/logNorm_DistRequestBuilder");
const logNorm_InvRequestBuilder_1 = require("./logNorm_Inv/logNorm_InvRequestBuilder");
const lookupRequestBuilder_1 = require("./lookup/lookupRequestBuilder");
const lowerRequestBuilder_1 = require("./lower/lowerRequestBuilder");
const matchRequestBuilder_1 = require("./match/matchRequestBuilder");
const maxRequestBuilder_1 = require("./max/maxRequestBuilder");
const maxARequestBuilder_1 = require("./maxA/maxARequestBuilder");
const mdurationRequestBuilder_1 = require("./mduration/mdurationRequestBuilder");
const medianRequestBuilder_1 = require("./median/medianRequestBuilder");
const midRequestBuilder_1 = require("./mid/midRequestBuilder");
const midbRequestBuilder_1 = require("./midb/midbRequestBuilder");
const minRequestBuilder_1 = require("./min/minRequestBuilder");
const minARequestBuilder_1 = require("./minA/minARequestBuilder");
const minuteRequestBuilder_1 = require("./minute/minuteRequestBuilder");
const mirrRequestBuilder_1 = require("./mirr/mirrRequestBuilder");
const modRequestBuilder_1 = require("./mod/modRequestBuilder");
const monthRequestBuilder_1 = require("./month/monthRequestBuilder");
const mroundRequestBuilder_1 = require("./mround/mroundRequestBuilder");
const multiNomialRequestBuilder_1 = require("./multiNomial/multiNomialRequestBuilder");
const nRequestBuilder_1 = require("./n/nRequestBuilder");
const naRequestBuilder_1 = require("./na/naRequestBuilder");
const negBinom_DistRequestBuilder_1 = require("./negBinom_Dist/negBinom_DistRequestBuilder");
const networkDays_IntlRequestBuilder_1 = require("./networkDays_Intl/networkDays_IntlRequestBuilder");
const networkDaysRequestBuilder_1 = require("./networkDays/networkDaysRequestBuilder");
const nominalRequestBuilder_1 = require("./nominal/nominalRequestBuilder");
const norm_DistRequestBuilder_1 = require("./norm_Dist/norm_DistRequestBuilder");
const norm_InvRequestBuilder_1 = require("./norm_Inv/norm_InvRequestBuilder");
const norm_S_DistRequestBuilder_1 = require("./norm_S_Dist/norm_S_DistRequestBuilder");
const norm_S_InvRequestBuilder_1 = require("./norm_S_Inv/norm_S_InvRequestBuilder");
const notRequestBuilder_1 = require("./not/notRequestBuilder");
const nowRequestBuilder_1 = require("./now/nowRequestBuilder");
const nperRequestBuilder_1 = require("./nper/nperRequestBuilder");
const npvRequestBuilder_1 = require("./npv/npvRequestBuilder");
const numberValueRequestBuilder_1 = require("./numberValue/numberValueRequestBuilder");
const oct2BinRequestBuilder_1 = require("./oct2Bin/oct2BinRequestBuilder");
const oct2DecRequestBuilder_1 = require("./oct2Dec/oct2DecRequestBuilder");
const oct2HexRequestBuilder_1 = require("./oct2Hex/oct2HexRequestBuilder");
const oddRequestBuilder_1 = require("./odd/oddRequestBuilder");
const oddFPriceRequestBuilder_1 = require("./oddFPrice/oddFPriceRequestBuilder");
const oddFYieldRequestBuilder_1 = require("./oddFYield/oddFYieldRequestBuilder");
const oddLPriceRequestBuilder_1 = require("./oddLPrice/oddLPriceRequestBuilder");
const oddLYieldRequestBuilder_1 = require("./oddLYield/oddLYieldRequestBuilder");
const orRequestBuilder_1 = require("./or/orRequestBuilder");
const pdurationRequestBuilder_1 = require("./pduration/pdurationRequestBuilder");
const percentile_ExcRequestBuilder_1 = require("./percentile_Exc/percentile_ExcRequestBuilder");
const percentile_IncRequestBuilder_1 = require("./percentile_Inc/percentile_IncRequestBuilder");
const percentRank_ExcRequestBuilder_1 = require("./percentRank_Exc/percentRank_ExcRequestBuilder");
const percentRank_IncRequestBuilder_1 = require("./percentRank_Inc/percentRank_IncRequestBuilder");
const permutRequestBuilder_1 = require("./permut/permutRequestBuilder");
const permutationaRequestBuilder_1 = require("./permutationa/permutationaRequestBuilder");
const phiRequestBuilder_1 = require("./phi/phiRequestBuilder");
const piRequestBuilder_1 = require("./pi/piRequestBuilder");
const pmtRequestBuilder_1 = require("./pmt/pmtRequestBuilder");
const poisson_DistRequestBuilder_1 = require("./poisson_Dist/poisson_DistRequestBuilder");
const powerRequestBuilder_1 = require("./power/powerRequestBuilder");
const ppmtRequestBuilder_1 = require("./ppmt/ppmtRequestBuilder");
const priceRequestBuilder_1 = require("./price/priceRequestBuilder");
const priceDiscRequestBuilder_1 = require("./priceDisc/priceDiscRequestBuilder");
const priceMatRequestBuilder_1 = require("./priceMat/priceMatRequestBuilder");
const productRequestBuilder_1 = require("./product/productRequestBuilder");
const properRequestBuilder_1 = require("./proper/properRequestBuilder");
const pvRequestBuilder_1 = require("./pv/pvRequestBuilder");
const quartile_ExcRequestBuilder_1 = require("./quartile_Exc/quartile_ExcRequestBuilder");
const quartile_IncRequestBuilder_1 = require("./quartile_Inc/quartile_IncRequestBuilder");
const quotientRequestBuilder_1 = require("./quotient/quotientRequestBuilder");
const radiansRequestBuilder_1 = require("./radians/radiansRequestBuilder");
const randRequestBuilder_1 = require("./rand/randRequestBuilder");
const randBetweenRequestBuilder_1 = require("./randBetween/randBetweenRequestBuilder");
const rank_AvgRequestBuilder_1 = require("./rank_Avg/rank_AvgRequestBuilder");
const rank_EqRequestBuilder_1 = require("./rank_Eq/rank_EqRequestBuilder");
const rateRequestBuilder_1 = require("./rate/rateRequestBuilder");
const receivedRequestBuilder_1 = require("./received/receivedRequestBuilder");
const replaceRequestBuilder_1 = require("./replace/replaceRequestBuilder");
const replaceBRequestBuilder_1 = require("./replaceB/replaceBRequestBuilder");
const reptRequestBuilder_1 = require("./rept/reptRequestBuilder");
const rightRequestBuilder_1 = require("./right/rightRequestBuilder");
const rightbRequestBuilder_1 = require("./rightb/rightbRequestBuilder");
const romanRequestBuilder_1 = require("./roman/romanRequestBuilder");
const roundRequestBuilder_1 = require("./round/roundRequestBuilder");
const roundDownRequestBuilder_1 = require("./roundDown/roundDownRequestBuilder");
const roundUpRequestBuilder_1 = require("./roundUp/roundUpRequestBuilder");
const rowsRequestBuilder_1 = require("./rows/rowsRequestBuilder");
const rriRequestBuilder_1 = require("./rri/rriRequestBuilder");
const secRequestBuilder_1 = require("./sec/secRequestBuilder");
const sechRequestBuilder_1 = require("./sech/sechRequestBuilder");
const secondRequestBuilder_1 = require("./second/secondRequestBuilder");
const seriesSumRequestBuilder_1 = require("./seriesSum/seriesSumRequestBuilder");
const sheetRequestBuilder_1 = require("./sheet/sheetRequestBuilder");
const sheetsRequestBuilder_1 = require("./sheets/sheetsRequestBuilder");
const signRequestBuilder_1 = require("./sign/signRequestBuilder");
const sinRequestBuilder_1 = require("./sin/sinRequestBuilder");
const sinhRequestBuilder_1 = require("./sinh/sinhRequestBuilder");
const skew_pRequestBuilder_1 = require("./skew_p/skew_pRequestBuilder");
const skewRequestBuilder_1 = require("./skew/skewRequestBuilder");
const slnRequestBuilder_1 = require("./sln/slnRequestBuilder");
const smallRequestBuilder_1 = require("./small/smallRequestBuilder");
const sqrtRequestBuilder_1 = require("./sqrt/sqrtRequestBuilder");
const sqrtPiRequestBuilder_1 = require("./sqrtPi/sqrtPiRequestBuilder");
const standardizeRequestBuilder_1 = require("./standardize/standardizeRequestBuilder");
const stDev_PRequestBuilder_1 = require("./stDev_P/stDev_PRequestBuilder");
const stDev_SRequestBuilder_1 = require("./stDev_S/stDev_SRequestBuilder");
const stDevARequestBuilder_1 = require("./stDevA/stDevARequestBuilder");
const stDevPARequestBuilder_1 = require("./stDevPA/stDevPARequestBuilder");
const substituteRequestBuilder_1 = require("./substitute/substituteRequestBuilder");
const subtotalRequestBuilder_1 = require("./subtotal/subtotalRequestBuilder");
const sumRequestBuilder_1 = require("./sum/sumRequestBuilder");
const sumIfRequestBuilder_1 = require("./sumIf/sumIfRequestBuilder");
const sumIfsRequestBuilder_1 = require("./sumIfs/sumIfsRequestBuilder");
const sumSqRequestBuilder_1 = require("./sumSq/sumSqRequestBuilder");
const sydRequestBuilder_1 = require("./syd/sydRequestBuilder");
const t_Dist_2TRequestBuilder_1 = require("./t_Dist_2T/t_Dist_2TRequestBuilder");
const t_Dist_RTRequestBuilder_1 = require("./t_Dist_RT/t_Dist_RTRequestBuilder");
const t_DistRequestBuilder_1 = require("./t_Dist/t_DistRequestBuilder");
const t_Inv_2TRequestBuilder_1 = require("./t_Inv_2T/t_Inv_2TRequestBuilder");
const t_InvRequestBuilder_1 = require("./t_Inv/t_InvRequestBuilder");
const tRequestBuilder_1 = require("./t/tRequestBuilder");
const tanRequestBuilder_1 = require("./tan/tanRequestBuilder");
const tanhRequestBuilder_1 = require("./tanh/tanhRequestBuilder");
const tbillEqRequestBuilder_1 = require("./tbillEq/tbillEqRequestBuilder");
const tbillPriceRequestBuilder_1 = require("./tbillPrice/tbillPriceRequestBuilder");
const tbillYieldRequestBuilder_1 = require("./tbillYield/tbillYieldRequestBuilder");
const textRequestBuilder_1 = require("./text/textRequestBuilder");
const timeRequestBuilder_1 = require("./time/timeRequestBuilder");
const timevalueRequestBuilder_1 = require("./timevalue/timevalueRequestBuilder");
const todayRequestBuilder_1 = require("./today/todayRequestBuilder");
const trimRequestBuilder_1 = require("./trim/trimRequestBuilder");
const trimMeanRequestBuilder_1 = require("./trimMean/trimMeanRequestBuilder");
const trueRequestBuilder_1 = require("./trueEscaped/trueRequestBuilder");
const truncRequestBuilder_1 = require("./trunc/truncRequestBuilder");
const typeRequestBuilder_1 = require("./type/typeRequestBuilder");
const unicharRequestBuilder_1 = require("./unichar/unicharRequestBuilder");
const unicodeRequestBuilder_1 = require("./unicode/unicodeRequestBuilder");
const upperRequestBuilder_1 = require("./upper/upperRequestBuilder");
const usdollarRequestBuilder_1 = require("./usdollar/usdollarRequestBuilder");
const valueRequestBuilder_1 = require("./value/valueRequestBuilder");
const var_PRequestBuilder_1 = require("./var_P/var_PRequestBuilder");
const var_SRequestBuilder_1 = require("./var_S/var_SRequestBuilder");
const varARequestBuilder_1 = require("./varA/varARequestBuilder");
const varPARequestBuilder_1 = require("./varPA/varPARequestBuilder");
const vdbRequestBuilder_1 = require("./vdb/vdbRequestBuilder");
const vlookupRequestBuilder_1 = require("./vlookup/vlookupRequestBuilder");
const weekdayRequestBuilder_1 = require("./weekday/weekdayRequestBuilder");
const weekNumRequestBuilder_1 = require("./weekNum/weekNumRequestBuilder");
const weibull_DistRequestBuilder_1 = require("./weibull_Dist/weibull_DistRequestBuilder");
const workDay_IntlRequestBuilder_1 = require("./workDay_Intl/workDay_IntlRequestBuilder");
const workDayRequestBuilder_1 = require("./workDay/workDayRequestBuilder");
const xirrRequestBuilder_1 = require("./xirr/xirrRequestBuilder");
const xnpvRequestBuilder_1 = require("./xnpv/xnpvRequestBuilder");
const xorRequestBuilder_1 = require("./xor/xorRequestBuilder");
const yearRequestBuilder_1 = require("./year/yearRequestBuilder");
const yearFracRequestBuilder_1 = require("./yearFrac/yearFracRequestBuilder");
const yieldRequestBuilder_1 = require("./yield/yieldRequestBuilder");
const yieldDiscRequestBuilder_1 = require("./yieldDisc/yieldDiscRequestBuilder");
const yieldMatRequestBuilder_1 = require("./yieldMat/yieldMatRequestBuilder");
const z_TestRequestBuilder_1 = require("./z_Test/z_TestRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the functions property of the microsoft.graph.workbook entity.
 */
class FunctionsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to call the abs method.
     */
    get abs() {
        return new absRequestBuilder_1.AbsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the accrInt method.
     */
    get accrInt() {
        return new accrIntRequestBuilder_1.AccrIntRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the accrIntM method.
     */
    get accrIntM() {
        return new accrIntMRequestBuilder_1.AccrIntMRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the acos method.
     */
    get acos() {
        return new acosRequestBuilder_1.AcosRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the acosh method.
     */
    get acosh() {
        return new acoshRequestBuilder_1.AcoshRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the acot method.
     */
    get acot() {
        return new acotRequestBuilder_1.AcotRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the acoth method.
     */
    get acoth() {
        return new acothRequestBuilder_1.AcothRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the amorDegrc method.
     */
    get amorDegrc() {
        return new amorDegrcRequestBuilder_1.AmorDegrcRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the amorLinc method.
     */
    get amorLinc() {
        return new amorLincRequestBuilder_1.AmorLincRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the and method.
     */
    get and() {
        return new andRequestBuilder_1.AndRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the arabic method.
     */
    get arabic() {
        return new arabicRequestBuilder_1.ArabicRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the areas method.
     */
    get areas() {
        return new areasRequestBuilder_1.AreasRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the asc method.
     */
    get asc() {
        return new ascRequestBuilder_1.AscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the asin method.
     */
    get asin() {
        return new asinRequestBuilder_1.AsinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the asinh method.
     */
    get asinh() {
        return new asinhRequestBuilder_1.AsinhRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the atan method.
     */
    get atan() {
        return new atanRequestBuilder_1.AtanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the atan2 method.
     */
    get atan2() {
        return new atan2RequestBuilder_1.Atan2RequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the atanh method.
     */
    get atanh() {
        return new atanhRequestBuilder_1.AtanhRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the aveDev method.
     */
    get aveDev() {
        return new aveDevRequestBuilder_1.AveDevRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the average method.
     */
    get average() {
        return new averageRequestBuilder_1.AverageRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the averageA method.
     */
    get averageA() {
        return new averageARequestBuilder_1.AverageARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the averageIf method.
     */
    get averageIf() {
        return new averageIfRequestBuilder_1.AverageIfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the averageIfs method.
     */
    get averageIfs() {
        return new averageIfsRequestBuilder_1.AverageIfsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bahtText method.
     */
    get bahtText() {
        return new bahtTextRequestBuilder_1.BahtTextRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the base method.
     */
    get base() {
        return new baseRequestBuilderEscaped_1.BaseRequestBuilderEscaped(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the besselI method.
     */
    get besselI() {
        return new besselIRequestBuilder_1.BesselIRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the besselJ method.
     */
    get besselJ() {
        return new besselJRequestBuilder_1.BesselJRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the besselK method.
     */
    get besselK() {
        return new besselKRequestBuilder_1.BesselKRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the besselY method.
     */
    get besselY() {
        return new besselYRequestBuilder_1.BesselYRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the beta_Dist method.
     */
    get beta_Dist() {
        return new beta_DistRequestBuilder_1.Beta_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the beta_Inv method.
     */
    get beta_Inv() {
        return new beta_InvRequestBuilder_1.Beta_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bin2Dec method.
     */
    get bin2Dec() {
        return new bin2DecRequestBuilder_1.Bin2DecRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bin2Hex method.
     */
    get bin2Hex() {
        return new bin2HexRequestBuilder_1.Bin2HexRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bin2Oct method.
     */
    get bin2Oct() {
        return new bin2OctRequestBuilder_1.Bin2OctRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the binom_Dist method.
     */
    get binom_Dist() {
        return new binom_DistRequestBuilder_1.Binom_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the binom_Dist_Range method.
     */
    get binom_Dist_Range() {
        return new binom_Dist_RangeRequestBuilder_1.Binom_Dist_RangeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the binom_Inv method.
     */
    get binom_Inv() {
        return new binom_InvRequestBuilder_1.Binom_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bitand method.
     */
    get bitand() {
        return new bitandRequestBuilder_1.BitandRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bitlshift method.
     */
    get bitlshift() {
        return new bitlshiftRequestBuilder_1.BitlshiftRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bitor method.
     */
    get bitor() {
        return new bitorRequestBuilder_1.BitorRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bitrshift method.
     */
    get bitrshift() {
        return new bitrshiftRequestBuilder_1.BitrshiftRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bitxor method.
     */
    get bitxor() {
        return new bitxorRequestBuilder_1.BitxorRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ceiling_Math method.
     */
    get ceiling_Math() {
        return new ceiling_MathRequestBuilder_1.Ceiling_MathRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ceiling_Precise method.
     */
    get ceiling_Precise() {
        return new ceiling_PreciseRequestBuilder_1.Ceiling_PreciseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the char method.
     */
    get char() {
        return new charRequestBuilder_1.CharRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the chiSq_Dist method.
     */
    get chiSq_Dist() {
        return new chiSq_DistRequestBuilder_1.ChiSq_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the chiSq_Dist_RT method.
     */
    get chiSq_Dist_RT() {
        return new chiSq_Dist_RTRequestBuilder_1.ChiSq_Dist_RTRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the chiSq_Inv method.
     */
    get chiSq_Inv() {
        return new chiSq_InvRequestBuilder_1.ChiSq_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the chiSq_Inv_RT method.
     */
    get chiSq_Inv_RT() {
        return new chiSq_Inv_RTRequestBuilder_1.ChiSq_Inv_RTRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the choose method.
     */
    get choose() {
        return new chooseRequestBuilder_1.ChooseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the clean method.
     */
    get clean() {
        return new cleanRequestBuilder_1.CleanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the code method.
     */
    get code() {
        return new codeRequestBuilder_1.CodeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the columns method.
     */
    get columns() {
        return new columnsRequestBuilder_1.ColumnsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the combin method.
     */
    get combin() {
        return new combinRequestBuilder_1.CombinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the combina method.
     */
    get combina() {
        return new combinaRequestBuilder_1.CombinaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the complex method.
     */
    get complex() {
        return new complexRequestBuilder_1.ComplexRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the concatenate method.
     */
    get concatenate() {
        return new concatenateRequestBuilder_1.ConcatenateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the confidence_Norm method.
     */
    get confidence_Norm() {
        return new confidence_NormRequestBuilder_1.Confidence_NormRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the confidence_T method.
     */
    get confidence_T() {
        return new confidence_TRequestBuilder_1.Confidence_TRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the convert method.
     */
    get convert() {
        return new convertRequestBuilder_1.ConvertRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cos method.
     */
    get cos() {
        return new cosRequestBuilder_1.CosRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cosh method.
     */
    get cosh() {
        return new coshRequestBuilder_1.CoshRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cot method.
     */
    get cot() {
        return new cotRequestBuilder_1.CotRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coth method.
     */
    get coth() {
        return new cothRequestBuilder_1.CothRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the count method.
     */
    get count() {
        return new countRequestBuilder_1.CountRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the countA method.
     */
    get countA() {
        return new countARequestBuilder_1.CountARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the countBlank method.
     */
    get countBlank() {
        return new countBlankRequestBuilder_1.CountBlankRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the countIf method.
     */
    get countIf() {
        return new countIfRequestBuilder_1.CountIfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the countIfs method.
     */
    get countIfs() {
        return new countIfsRequestBuilder_1.CountIfsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupDayBs method.
     */
    get coupDayBs() {
        return new coupDayBsRequestBuilder_1.CoupDayBsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupDays method.
     */
    get coupDays() {
        return new coupDaysRequestBuilder_1.CoupDaysRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupDaysNc method.
     */
    get coupDaysNc() {
        return new coupDaysNcRequestBuilder_1.CoupDaysNcRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupNcd method.
     */
    get coupNcd() {
        return new coupNcdRequestBuilder_1.CoupNcdRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupNum method.
     */
    get coupNum() {
        return new coupNumRequestBuilder_1.CoupNumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupPcd method.
     */
    get coupPcd() {
        return new coupPcdRequestBuilder_1.CoupPcdRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the csc method.
     */
    get csc() {
        return new cscRequestBuilder_1.CscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the csch method.
     */
    get csch() {
        return new cschRequestBuilder_1.CschRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cumIPmt method.
     */
    get cumIPmt() {
        return new cumIPmtRequestBuilder_1.CumIPmtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cumPrinc method.
     */
    get cumPrinc() {
        return new cumPrincRequestBuilder_1.CumPrincRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the date method.
     */
    get date() {
        return new dateRequestBuilder_1.DateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the datevalue method.
     */
    get datevalue() {
        return new datevalueRequestBuilder_1.DatevalueRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the daverage method.
     */
    get daverage() {
        return new daverageRequestBuilder_1.DaverageRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the day method.
     */
    get day() {
        return new dayRequestBuilder_1.DayRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the days method.
     */
    get days() {
        return new daysRequestBuilder_1.DaysRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the days360 method.
     */
    get days360() {
        return new days360RequestBuilder_1.Days360RequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the db method.
     */
    get db() {
        return new dbRequestBuilder_1.DbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dbcs method.
     */
    get dbcs() {
        return new dbcsRequestBuilder_1.DbcsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dcount method.
     */
    get dcount() {
        return new dcountRequestBuilder_1.DcountRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dcountA method.
     */
    get dcountA() {
        return new dcountARequestBuilder_1.DcountARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ddb method.
     */
    get ddb() {
        return new ddbRequestBuilder_1.DdbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dec2Bin method.
     */
    get dec2Bin() {
        return new dec2BinRequestBuilder_1.Dec2BinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dec2Hex method.
     */
    get dec2Hex() {
        return new dec2HexRequestBuilder_1.Dec2HexRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dec2Oct method.
     */
    get dec2Oct() {
        return new dec2OctRequestBuilder_1.Dec2OctRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the decimal method.
     */
    get decimal() {
        return new decimalRequestBuilder_1.DecimalRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the degrees method.
     */
    get degrees() {
        return new degreesRequestBuilder_1.DegreesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the delta method.
     */
    get delta() {
        return new deltaRequestBuilder_1.DeltaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the devSq method.
     */
    get devSq() {
        return new devSqRequestBuilder_1.DevSqRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dget method.
     */
    get dget() {
        return new dgetRequestBuilder_1.DgetRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the disc method.
     */
    get disc() {
        return new discRequestBuilder_1.DiscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dmax method.
     */
    get dmax() {
        return new dmaxRequestBuilder_1.DmaxRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dmin method.
     */
    get dmin() {
        return new dminRequestBuilder_1.DminRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dollar method.
     */
    get dollar() {
        return new dollarRequestBuilder_1.DollarRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dollarDe method.
     */
    get dollarDe() {
        return new dollarDeRequestBuilder_1.DollarDeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dollarFr method.
     */
    get dollarFr() {
        return new dollarFrRequestBuilder_1.DollarFrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dproduct method.
     */
    get dproduct() {
        return new dproductRequestBuilder_1.DproductRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dstDev method.
     */
    get dstDev() {
        return new dstDevRequestBuilder_1.DstDevRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dstDevP method.
     */
    get dstDevP() {
        return new dstDevPRequestBuilder_1.DstDevPRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dsum method.
     */
    get dsum() {
        return new dsumRequestBuilder_1.DsumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the duration method.
     */
    get duration() {
        return new durationRequestBuilder_1.DurationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dvar method.
     */
    get dvar() {
        return new dvarRequestBuilder_1.DvarRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dvarP method.
     */
    get dvarP() {
        return new dvarPRequestBuilder_1.DvarPRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ecma_Ceiling method.
     */
    get ecma_Ceiling() {
        return new ecma_CeilingRequestBuilder_1.Ecma_CeilingRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the edate method.
     */
    get edate() {
        return new edateRequestBuilder_1.EdateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the effect method.
     */
    get effect() {
        return new effectRequestBuilder_1.EffectRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the eoMonth method.
     */
    get eoMonth() {
        return new eoMonthRequestBuilder_1.EoMonthRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the erf method.
     */
    get erf() {
        return new erfRequestBuilder_1.ErfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the erf_Precise method.
     */
    get erf_Precise() {
        return new erf_PreciseRequestBuilder_1.Erf_PreciseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the erfC method.
     */
    get erfC() {
        return new erfCRequestBuilder_1.ErfCRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the erfC_Precise method.
     */
    get erfC_Precise() {
        return new erfC_PreciseRequestBuilder_1.ErfC_PreciseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the error_Type method.
     */
    get error_Type() {
        return new error_TypeRequestBuilder_1.Error_TypeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the even method.
     */
    get even() {
        return new evenRequestBuilder_1.EvenRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the exact method.
     */
    get exact() {
        return new exactRequestBuilder_1.ExactRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the exp method.
     */
    get exp() {
        return new expRequestBuilder_1.ExpRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the expon_Dist method.
     */
    get expon_Dist() {
        return new expon_DistRequestBuilder_1.Expon_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the f_Dist method.
     */
    get f_Dist() {
        return new f_DistRequestBuilder_1.F_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the f_Dist_RT method.
     */
    get f_Dist_RT() {
        return new f_Dist_RTRequestBuilder_1.F_Dist_RTRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the f_Inv method.
     */
    get f_Inv() {
        return new f_InvRequestBuilder_1.F_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the f_Inv_RT method.
     */
    get f_Inv_RT() {
        return new f_Inv_RTRequestBuilder_1.F_Inv_RTRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fact method.
     */
    get fact() {
        return new factRequestBuilder_1.FactRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the factDouble method.
     */
    get factDouble() {
        return new factDoubleRequestBuilder_1.FactDoubleRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the false method.
     */
    get falseEscaped() {
        return new falseRequestBuilder_1.FalseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the find method.
     */
    get find() {
        return new findRequestBuilder_1.FindRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the findB method.
     */
    get findB() {
        return new findBRequestBuilder_1.FindBRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fisher method.
     */
    get fisher() {
        return new fisherRequestBuilder_1.FisherRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fisherInv method.
     */
    get fisherInv() {
        return new fisherInvRequestBuilder_1.FisherInvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fixed method.
     */
    get fixed() {
        return new fixedRequestBuilder_1.FixedRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the floor_Math method.
     */
    get floor_Math() {
        return new floor_MathRequestBuilder_1.Floor_MathRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the floor_Precise method.
     */
    get floor_Precise() {
        return new floor_PreciseRequestBuilder_1.Floor_PreciseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fv method.
     */
    get fv() {
        return new fvRequestBuilder_1.FvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fvschedule method.
     */
    get fvschedule() {
        return new fvscheduleRequestBuilder_1.FvscheduleRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gamma method.
     */
    get gamma() {
        return new gammaRequestBuilder_1.GammaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gamma_Dist method.
     */
    get gamma_Dist() {
        return new gamma_DistRequestBuilder_1.Gamma_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gamma_Inv method.
     */
    get gamma_Inv() {
        return new gamma_InvRequestBuilder_1.Gamma_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gammaLn method.
     */
    get gammaLn() {
        return new gammaLnRequestBuilder_1.GammaLnRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gammaLn_Precise method.
     */
    get gammaLn_Precise() {
        return new gammaLn_PreciseRequestBuilder_1.GammaLn_PreciseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gauss method.
     */
    get gauss() {
        return new gaussRequestBuilder_1.GaussRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gcd method.
     */
    get gcd() {
        return new gcdRequestBuilder_1.GcdRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the geoMean method.
     */
    get geoMean() {
        return new geoMeanRequestBuilder_1.GeoMeanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the geStep method.
     */
    get geStep() {
        return new geStepRequestBuilder_1.GeStepRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the harMean method.
     */
    get harMean() {
        return new harMeanRequestBuilder_1.HarMeanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hex2Bin method.
     */
    get hex2Bin() {
        return new hex2BinRequestBuilder_1.Hex2BinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hex2Dec method.
     */
    get hex2Dec() {
        return new hex2DecRequestBuilder_1.Hex2DecRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hex2Oct method.
     */
    get hex2Oct() {
        return new hex2OctRequestBuilder_1.Hex2OctRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hlookup method.
     */
    get hlookup() {
        return new hlookupRequestBuilder_1.HlookupRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hour method.
     */
    get hour() {
        return new hourRequestBuilder_1.HourRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hyperlink method.
     */
    get hyperlink() {
        return new hyperlinkRequestBuilder_1.HyperlinkRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hypGeom_Dist method.
     */
    get hypGeom_Dist() {
        return new hypGeom_DistRequestBuilder_1.HypGeom_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the if method.
     */
    get ifEscaped() {
        return new ifRequestBuilder_1.IfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imAbs method.
     */
    get imAbs() {
        return new imAbsRequestBuilder_1.ImAbsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imaginary method.
     */
    get imaginary() {
        return new imaginaryRequestBuilder_1.ImaginaryRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imArgument method.
     */
    get imArgument() {
        return new imArgumentRequestBuilder_1.ImArgumentRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imConjugate method.
     */
    get imConjugate() {
        return new imConjugateRequestBuilder_1.ImConjugateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imCos method.
     */
    get imCos() {
        return new imCosRequestBuilder_1.ImCosRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imCosh method.
     */
    get imCosh() {
        return new imCoshRequestBuilder_1.ImCoshRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imCot method.
     */
    get imCot() {
        return new imCotRequestBuilder_1.ImCotRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imCsc method.
     */
    get imCsc() {
        return new imCscRequestBuilder_1.ImCscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imCsch method.
     */
    get imCsch() {
        return new imCschRequestBuilder_1.ImCschRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imDiv method.
     */
    get imDiv() {
        return new imDivRequestBuilder_1.ImDivRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imExp method.
     */
    get imExp() {
        return new imExpRequestBuilder_1.ImExpRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imLn method.
     */
    get imLn() {
        return new imLnRequestBuilder_1.ImLnRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imLog10 method.
     */
    get imLog10() {
        return new imLog10RequestBuilder_1.ImLog10RequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imLog2 method.
     */
    get imLog2() {
        return new imLog2RequestBuilder_1.ImLog2RequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imPower method.
     */
    get imPower() {
        return new imPowerRequestBuilder_1.ImPowerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imProduct method.
     */
    get imProduct() {
        return new imProductRequestBuilder_1.ImProductRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imReal method.
     */
    get imReal() {
        return new imRealRequestBuilder_1.ImRealRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSec method.
     */
    get imSec() {
        return new imSecRequestBuilder_1.ImSecRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSech method.
     */
    get imSech() {
        return new imSechRequestBuilder_1.ImSechRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSin method.
     */
    get imSin() {
        return new imSinRequestBuilder_1.ImSinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSinh method.
     */
    get imSinh() {
        return new imSinhRequestBuilder_1.ImSinhRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSqrt method.
     */
    get imSqrt() {
        return new imSqrtRequestBuilder_1.ImSqrtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSub method.
     */
    get imSub() {
        return new imSubRequestBuilder_1.ImSubRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSum method.
     */
    get imSum() {
        return new imSumRequestBuilder_1.ImSumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imTan method.
     */
    get imTan() {
        return new imTanRequestBuilder_1.ImTanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the int method.
     */
    get int() {
        return new intRequestBuilder_1.IntRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the intRate method.
     */
    get intRate() {
        return new intRateRequestBuilder_1.IntRateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ipmt method.
     */
    get ipmt() {
        return new ipmtRequestBuilder_1.IpmtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the irr method.
     */
    get irr() {
        return new irrRequestBuilder_1.IrrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isErr method.
     */
    get isErr() {
        return new isErrRequestBuilder_1.IsErrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isError method.
     */
    get isError() {
        return new isErrorRequestBuilder_1.IsErrorRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isEven method.
     */
    get isEven() {
        return new isEvenRequestBuilder_1.IsEvenRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isFormula method.
     */
    get isFormula() {
        return new isFormulaRequestBuilder_1.IsFormulaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isLogical method.
     */
    get isLogical() {
        return new isLogicalRequestBuilder_1.IsLogicalRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isNA method.
     */
    get isNA() {
        return new isNARequestBuilder_1.IsNARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isNonText method.
     */
    get isNonText() {
        return new isNonTextRequestBuilder_1.IsNonTextRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isNumber method.
     */
    get isNumber() {
        return new isNumberRequestBuilder_1.IsNumberRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the iso_Ceiling method.
     */
    get iso_Ceiling() {
        return new iso_CeilingRequestBuilder_1.Iso_CeilingRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isOdd method.
     */
    get isOdd() {
        return new isOddRequestBuilder_1.IsOddRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isoWeekNum method.
     */
    get isoWeekNum() {
        return new isoWeekNumRequestBuilder_1.IsoWeekNumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ispmt method.
     */
    get ispmt() {
        return new ispmtRequestBuilder_1.IspmtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isref method.
     */
    get isref() {
        return new isrefRequestBuilder_1.IsrefRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isText method.
     */
    get isText() {
        return new isTextRequestBuilder_1.IsTextRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the kurt method.
     */
    get kurt() {
        return new kurtRequestBuilder_1.KurtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the large method.
     */
    get large() {
        return new largeRequestBuilder_1.LargeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the lcm method.
     */
    get lcm() {
        return new lcmRequestBuilder_1.LcmRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the left method.
     */
    get left() {
        return new leftRequestBuilder_1.LeftRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the leftb method.
     */
    get leftb() {
        return new leftbRequestBuilder_1.LeftbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the len method.
     */
    get len() {
        return new lenRequestBuilder_1.LenRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the lenb method.
     */
    get lenb() {
        return new lenbRequestBuilder_1.LenbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ln method.
     */
    get ln() {
        return new lnRequestBuilder_1.LnRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the log method.
     */
    get log() {
        return new logRequestBuilder_1.LogRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the log10 method.
     */
    get log10() {
        return new log10RequestBuilder_1.Log10RequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the logNorm_Dist method.
     */
    get logNorm_Dist() {
        return new logNorm_DistRequestBuilder_1.LogNorm_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the logNorm_Inv method.
     */
    get logNorm_Inv() {
        return new logNorm_InvRequestBuilder_1.LogNorm_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the lookup method.
     */
    get lookup() {
        return new lookupRequestBuilder_1.LookupRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the lower method.
     */
    get lower() {
        return new lowerRequestBuilder_1.LowerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the match method.
     */
    get match() {
        return new matchRequestBuilder_1.MatchRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the max method.
     */
    get max() {
        return new maxRequestBuilder_1.MaxRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the maxA method.
     */
    get maxA() {
        return new maxARequestBuilder_1.MaxARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the mduration method.
     */
    get mduration() {
        return new mdurationRequestBuilder_1.MdurationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the median method.
     */
    get median() {
        return new medianRequestBuilder_1.MedianRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the mid method.
     */
    get mid() {
        return new midRequestBuilder_1.MidRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the midb method.
     */
    get midb() {
        return new midbRequestBuilder_1.MidbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the min method.
     */
    get min() {
        return new minRequestBuilder_1.MinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the minA method.
     */
    get minA() {
        return new minARequestBuilder_1.MinARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the minute method.
     */
    get minute() {
        return new minuteRequestBuilder_1.MinuteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the mirr method.
     */
    get mirr() {
        return new mirrRequestBuilder_1.MirrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the mod method.
     */
    get mod() {
        return new modRequestBuilder_1.ModRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the month method.
     */
    get month() {
        return new monthRequestBuilder_1.MonthRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the mround method.
     */
    get mround() {
        return new mroundRequestBuilder_1.MroundRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the multiNomial method.
     */
    get multiNomial() {
        return new multiNomialRequestBuilder_1.MultiNomialRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the n method.
     */
    get n() {
        return new nRequestBuilder_1.NRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the na method.
     */
    get na() {
        return new naRequestBuilder_1.NaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the negBinom_Dist method.
     */
    get negBinom_Dist() {
        return new negBinom_DistRequestBuilder_1.NegBinom_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the networkDays method.
     */
    get networkDays() {
        return new networkDaysRequestBuilder_1.NetworkDaysRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the networkDays_Intl method.
     */
    get networkDays_Intl() {
        return new networkDays_IntlRequestBuilder_1.NetworkDays_IntlRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the nominal method.
     */
    get nominal() {
        return new nominalRequestBuilder_1.NominalRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the norm_Dist method.
     */
    get norm_Dist() {
        return new norm_DistRequestBuilder_1.Norm_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the norm_Inv method.
     */
    get norm_Inv() {
        return new norm_InvRequestBuilder_1.Norm_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the norm_S_Dist method.
     */
    get norm_S_Dist() {
        return new norm_S_DistRequestBuilder_1.Norm_S_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the norm_S_Inv method.
     */
    get norm_S_Inv() {
        return new norm_S_InvRequestBuilder_1.Norm_S_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the not method.
     */
    get not() {
        return new notRequestBuilder_1.NotRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the now method.
     */
    get now() {
        return new nowRequestBuilder_1.NowRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the nper method.
     */
    get nper() {
        return new nperRequestBuilder_1.NperRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the npv method.
     */
    get npv() {
        return new npvRequestBuilder_1.NpvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the numberValue method.
     */
    get numberValue() {
        return new numberValueRequestBuilder_1.NumberValueRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oct2Bin method.
     */
    get oct2Bin() {
        return new oct2BinRequestBuilder_1.Oct2BinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oct2Dec method.
     */
    get oct2Dec() {
        return new oct2DecRequestBuilder_1.Oct2DecRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oct2Hex method.
     */
    get oct2Hex() {
        return new oct2HexRequestBuilder_1.Oct2HexRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the odd method.
     */
    get odd() {
        return new oddRequestBuilder_1.OddRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oddFPrice method.
     */
    get oddFPrice() {
        return new oddFPriceRequestBuilder_1.OddFPriceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oddFYield method.
     */
    get oddFYield() {
        return new oddFYieldRequestBuilder_1.OddFYieldRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oddLPrice method.
     */
    get oddLPrice() {
        return new oddLPriceRequestBuilder_1.OddLPriceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oddLYield method.
     */
    get oddLYield() {
        return new oddLYieldRequestBuilder_1.OddLYieldRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the or method.
     */
    get or() {
        return new orRequestBuilder_1.OrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the pduration method.
     */
    get pduration() {
        return new pdurationRequestBuilder_1.PdurationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the percentile_Exc method.
     */
    get percentile_Exc() {
        return new percentile_ExcRequestBuilder_1.Percentile_ExcRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the percentile_Inc method.
     */
    get percentile_Inc() {
        return new percentile_IncRequestBuilder_1.Percentile_IncRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the percentRank_Exc method.
     */
    get percentRank_Exc() {
        return new percentRank_ExcRequestBuilder_1.PercentRank_ExcRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the percentRank_Inc method.
     */
    get percentRank_Inc() {
        return new percentRank_IncRequestBuilder_1.PercentRank_IncRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the permut method.
     */
    get permut() {
        return new permutRequestBuilder_1.PermutRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the permutationa method.
     */
    get permutationa() {
        return new permutationaRequestBuilder_1.PermutationaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the phi method.
     */
    get phi() {
        return new phiRequestBuilder_1.PhiRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the pi method.
     */
    get pi() {
        return new piRequestBuilder_1.PiRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the pmt method.
     */
    get pmt() {
        return new pmtRequestBuilder_1.PmtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the poisson_Dist method.
     */
    get poisson_Dist() {
        return new poisson_DistRequestBuilder_1.Poisson_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the power method.
     */
    get power() {
        return new powerRequestBuilder_1.PowerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ppmt method.
     */
    get ppmt() {
        return new ppmtRequestBuilder_1.PpmtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the price method.
     */
    get price() {
        return new priceRequestBuilder_1.PriceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the priceDisc method.
     */
    get priceDisc() {
        return new priceDiscRequestBuilder_1.PriceDiscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the priceMat method.
     */
    get priceMat() {
        return new priceMatRequestBuilder_1.PriceMatRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the product method.
     */
    get product() {
        return new productRequestBuilder_1.ProductRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the proper method.
     */
    get proper() {
        return new properRequestBuilder_1.ProperRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the pv method.
     */
    get pv() {
        return new pvRequestBuilder_1.PvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the quartile_Exc method.
     */
    get quartile_Exc() {
        return new quartile_ExcRequestBuilder_1.Quartile_ExcRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the quartile_Inc method.
     */
    get quartile_Inc() {
        return new quartile_IncRequestBuilder_1.Quartile_IncRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the quotient method.
     */
    get quotient() {
        return new quotientRequestBuilder_1.QuotientRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the radians method.
     */
    get radians() {
        return new radiansRequestBuilder_1.RadiansRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rand method.
     */
    get rand() {
        return new randRequestBuilder_1.RandRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the randBetween method.
     */
    get randBetween() {
        return new randBetweenRequestBuilder_1.RandBetweenRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rank_Avg method.
     */
    get rank_Avg() {
        return new rank_AvgRequestBuilder_1.Rank_AvgRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rank_Eq method.
     */
    get rank_Eq() {
        return new rank_EqRequestBuilder_1.Rank_EqRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rate method.
     */
    get rate() {
        return new rateRequestBuilder_1.RateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the received method.
     */
    get received() {
        return new receivedRequestBuilder_1.ReceivedRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the replace method.
     */
    get replace() {
        return new replaceRequestBuilder_1.ReplaceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the replaceB method.
     */
    get replaceB() {
        return new replaceBRequestBuilder_1.ReplaceBRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rept method.
     */
    get rept() {
        return new reptRequestBuilder_1.ReptRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the right method.
     */
    get right() {
        return new rightRequestBuilder_1.RightRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rightb method.
     */
    get rightb() {
        return new rightbRequestBuilder_1.RightbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the roman method.
     */
    get roman() {
        return new romanRequestBuilder_1.RomanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the round method.
     */
    get round() {
        return new roundRequestBuilder_1.RoundRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the roundDown method.
     */
    get roundDown() {
        return new roundDownRequestBuilder_1.RoundDownRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the roundUp method.
     */
    get roundUp() {
        return new roundUpRequestBuilder_1.RoundUpRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rows method.
     */
    get rows() {
        return new rowsRequestBuilder_1.RowsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rri method.
     */
    get rri() {
        return new rriRequestBuilder_1.RriRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sec method.
     */
    get sec() {
        return new secRequestBuilder_1.SecRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sech method.
     */
    get sech() {
        return new sechRequestBuilder_1.SechRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the second method.
     */
    get second() {
        return new secondRequestBuilder_1.SecondRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the seriesSum method.
     */
    get seriesSum() {
        return new seriesSumRequestBuilder_1.SeriesSumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sheet method.
     */
    get sheet() {
        return new sheetRequestBuilder_1.SheetRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sheets method.
     */
    get sheets() {
        return new sheetsRequestBuilder_1.SheetsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sign method.
     */
    get sign() {
        return new signRequestBuilder_1.SignRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sin method.
     */
    get sin() {
        return new sinRequestBuilder_1.SinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sinh method.
     */
    get sinh() {
        return new sinhRequestBuilder_1.SinhRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the skew method.
     */
    get skew() {
        return new skewRequestBuilder_1.SkewRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the skew_p method.
     */
    get skew_p() {
        return new skew_pRequestBuilder_1.Skew_pRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sln method.
     */
    get sln() {
        return new slnRequestBuilder_1.SlnRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the small method.
     */
    get small() {
        return new smallRequestBuilder_1.SmallRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sqrt method.
     */
    get sqrt() {
        return new sqrtRequestBuilder_1.SqrtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sqrtPi method.
     */
    get sqrtPi() {
        return new sqrtPiRequestBuilder_1.SqrtPiRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the standardize method.
     */
    get standardize() {
        return new standardizeRequestBuilder_1.StandardizeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the stDev_P method.
     */
    get stDev_P() {
        return new stDev_PRequestBuilder_1.StDev_PRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the stDev_S method.
     */
    get stDev_S() {
        return new stDev_SRequestBuilder_1.StDev_SRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the stDevA method.
     */
    get stDevA() {
        return new stDevARequestBuilder_1.StDevARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the stDevPA method.
     */
    get stDevPA() {
        return new stDevPARequestBuilder_1.StDevPARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the substitute method.
     */
    get substitute() {
        return new substituteRequestBuilder_1.SubstituteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the subtotal method.
     */
    get subtotal() {
        return new subtotalRequestBuilder_1.SubtotalRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sum method.
     */
    get sum() {
        return new sumRequestBuilder_1.SumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sumIf method.
     */
    get sumIf() {
        return new sumIfRequestBuilder_1.SumIfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sumIfs method.
     */
    get sumIfs() {
        return new sumIfsRequestBuilder_1.SumIfsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sumSq method.
     */
    get sumSq() {
        return new sumSqRequestBuilder_1.SumSqRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the syd method.
     */
    get syd() {
        return new sydRequestBuilder_1.SydRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t method.
     */
    get t() {
        return new tRequestBuilder_1.TRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t_Dist method.
     */
    get t_Dist() {
        return new t_DistRequestBuilder_1.T_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t_Dist_2T method.
     */
    get t_Dist_2T() {
        return new t_Dist_2TRequestBuilder_1.T_Dist_2TRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t_Dist_RT method.
     */
    get t_Dist_RT() {
        return new t_Dist_RTRequestBuilder_1.T_Dist_RTRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t_Inv method.
     */
    get t_Inv() {
        return new t_InvRequestBuilder_1.T_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t_Inv_2T method.
     */
    get t_Inv_2T() {
        return new t_Inv_2TRequestBuilder_1.T_Inv_2TRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the tan method.
     */
    get tan() {
        return new tanRequestBuilder_1.TanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the tanh method.
     */
    get tanh() {
        return new tanhRequestBuilder_1.TanhRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the tbillEq method.
     */
    get tbillEq() {
        return new tbillEqRequestBuilder_1.TbillEqRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the tbillPrice method.
     */
    get tbillPrice() {
        return new tbillPriceRequestBuilder_1.TbillPriceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the tbillYield method.
     */
    get tbillYield() {
        return new tbillYieldRequestBuilder_1.TbillYieldRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the text method.
     */
    get text() {
        return new textRequestBuilder_1.TextRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the time method.
     */
    get time() {
        return new timeRequestBuilder_1.TimeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the timevalue method.
     */
    get timevalue() {
        return new timevalueRequestBuilder_1.TimevalueRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the today method.
     */
    get today() {
        return new todayRequestBuilder_1.TodayRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the trim method.
     */
    get trim() {
        return new trimRequestBuilder_1.TrimRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the trimMean method.
     */
    get trimMean() {
        return new trimMeanRequestBuilder_1.TrimMeanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the true method.
     */
    get trueEscaped() {
        return new trueRequestBuilder_1.TrueRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the trunc method.
     */
    get trunc() {
        return new truncRequestBuilder_1.TruncRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the type method.
     */
    get type() {
        return new typeRequestBuilder_1.TypeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the unichar method.
     */
    get unichar() {
        return new unicharRequestBuilder_1.UnicharRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the unicode method.
     */
    get unicode() {
        return new unicodeRequestBuilder_1.UnicodeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the upper method.
     */
    get upper() {
        return new upperRequestBuilder_1.UpperRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the usdollar method.
     */
    get usdollar() {
        return new usdollarRequestBuilder_1.UsdollarRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the value method.
     */
    get value() {
        return new valueRequestBuilder_1.ValueRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the var_P method.
     */
    get var_P() {
        return new var_PRequestBuilder_1.Var_PRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the var_S method.
     */
    get var_S() {
        return new var_SRequestBuilder_1.Var_SRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the varA method.
     */
    get varA() {
        return new varARequestBuilder_1.VarARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the varPA method.
     */
    get varPA() {
        return new varPARequestBuilder_1.VarPARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the vdb method.
     */
    get vdb() {
        return new vdbRequestBuilder_1.VdbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the vlookup method.
     */
    get vlookup() {
        return new vlookupRequestBuilder_1.VlookupRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the weekday method.
     */
    get weekday() {
        return new weekdayRequestBuilder_1.WeekdayRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the weekNum method.
     */
    get weekNum() {
        return new weekNumRequestBuilder_1.WeekNumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the weibull_Dist method.
     */
    get weibull_Dist() {
        return new weibull_DistRequestBuilder_1.Weibull_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the workDay method.
     */
    get workDay() {
        return new workDayRequestBuilder_1.WorkDayRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the workDay_Intl method.
     */
    get workDay_Intl() {
        return new workDay_IntlRequestBuilder_1.WorkDay_IntlRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the xirr method.
     */
    get xirr() {
        return new xirrRequestBuilder_1.XirrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the xnpv method.
     */
    get xnpv() {
        return new xnpvRequestBuilder_1.XnpvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the xor method.
     */
    get xor() {
        return new xorRequestBuilder_1.XorRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the year method.
     */
    get year() {
        return new yearRequestBuilder_1.YearRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the yearFrac method.
     */
    get yearFrac() {
        return new yearFracRequestBuilder_1.YearFracRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the yield method.
     */
    get yield() {
        return new yieldRequestBuilder_1.YieldRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the yieldDisc method.
     */
    get yieldDisc() {
        return new yieldDiscRequestBuilder_1.YieldDiscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the yieldMat method.
     */
    get yieldMat() {
        return new yieldMatRequestBuilder_1.YieldMatRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the z_Test method.
     */
    get z_Test() {
        return new z_TestRequestBuilder_1.Z_TestRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new FunctionsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions{?%24select,%24expand}");
    }
    ;
    /**
     * Delete navigation property functions for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Get functions from drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctions
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctions_1.createWorkbookFunctionsFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the navigation property functions in drives
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctions
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctions_1.createWorkbookFunctionsFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Delete navigation property functions for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.DELETE, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Get functions from drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, functionsRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Update the navigation property functions in drives
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.PATCH, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, workbookFunctions_1.serializeWorkbookFunctions);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a functionsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new FunctionsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.FunctionsRequestBuilder = FunctionsRequestBuilder;
const functionsRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
