import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGamma_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGamma_DistPostRequestBody;
export declare function deserializeIntoGamma_DistPostRequestBody(gamma_DistPostRequestBody?: Gamma_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Gamma_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The beta property
     */
    beta?: Json;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializeGamma_DistPostRequestBody(writer: SerializationWriter, gamma_DistPostRequestBody?: Gamma_DistPostRequestBody | undefined): void;
