import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGeoMeanPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGeoMeanPostRequestBody;
export declare function deserializeIntoGeoMeanPostRequestBody(geoMeanPostRequestBody?: GeoMeanPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface GeoMeanPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeGeoMeanPostRequestBody(writer: SerializationWriter, geoMeanPostRequestBody?: GeoMeanPostRequestBody | undefined): void;
