import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHex2DecPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHex2DecPostRequestBody;
export declare function deserializeIntoHex2DecPostRequestBody(hex2DecPostRequestBody?: Hex2DecPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Hex2DecPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeHex2DecPostRequestBody(writer: SerializationWriter, hex2DecPostRequestBody?: Hex2DecPostRequestBody | undefined): void;
