import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImCscPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImCscPostRequestBody;
export declare function deserializeIntoImCscPostRequestBody(imCscPostRequestBody?: ImCscPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImCscPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImCscPostRequestBody(writer: SerializationWriter, imCscPostRequestBody?: ImCscPostRequestBody | undefined): void;
