import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImDivPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImDivPostRequestBody;
export declare function deserializeIntoImDivPostRequestBody(imDivPostRequestBody?: ImDivPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImDivPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber1 property
     */
    inumber1?: Json;
    /**
     * The inumber2 property
     */
    inumber2?: Json;
}
export declare function serializeImDivPostRequestBody(writer: SerializationWriter, imDivPostRequestBody?: ImDivPostRequestBody | undefined): void;
