import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImLog2PostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImLog2PostRequestBody;
export declare function deserializeIntoImLog2PostRequestBody(imLog2PostRequestBody?: ImLog2PostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImLog2PostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImLog2PostRequestBody(writer: SerializationWriter, imLog2PostRequestBody?: ImLog2PostRequestBody | undefined): void;
