import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImSinPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImSinPostRequestBody;
export declare function deserializeIntoImSinPostRequestBody(imSinPostRequestBody?: ImSinPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImSinPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImSinPostRequestBody(writer: SerializationWriter, imSinPostRequestBody?: ImSinPostRequestBody | undefined): void;
