import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImSinhPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImSinhPostRequestBody;
export declare function deserializeIntoImSinhPostRequestBody(imSinhPostRequestBody?: ImSinhPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImSinhPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber property
     */
    inumber?: Json;
}
export declare function serializeImSinhPostRequestBody(writer: SerializationWriter, imSinhPostRequestBody?: ImSinhPostRequestBody | undefined): void;
