import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsErrorPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsErrorPostRequestBody;
export declare function deserializeIntoIsErrorPostRequestBody(isErrorPostRequestBody?: IsErrorPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsErrorPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
export declare function serializeIsErrorPostRequestBody(writer: SerializationWriter, isErrorPostRequestBody?: IsErrorPostRequestBody | undefined): void;
