import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsFormulaPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsFormulaPostRequestBody;
export declare function deserializeIntoIsFormulaPostRequestBody(isFormulaPostRequestBody?: IsFormulaPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsFormulaPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The reference property
     */
    reference?: Json;
}
export declare function serializeIsFormulaPostRequestBody(writer: SerializationWriter, isFormulaPostRequestBody?: IsFormulaPostRequestBody | undefined): void;
