import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsNAPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsNAPostRequestBody;
export declare function deserializeIntoIsNAPostRequestBody(isNAPostRequestBody?: IsNAPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsNAPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Json;
}
export declare function serializeIsNAPostRequestBody(writer: SerializationWriter, isNAPostRequestBody?: IsNAPostRequestBody | undefined): void;
