import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIspmtPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIspmtPostRequestBody;
export declare function deserializeIntoIspmtPostRequestBody(ispmtPostRequestBody?: IspmtPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IspmtPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The nper property
     */
    nper?: Json;
    /**
     * The per property
     */
    per?: Json;
    /**
     * The pv property
     */
    pv?: Json;
    /**
     * The rate property
     */
    rate?: Json;
}
export declare function serializeIspmtPostRequestBody(writer: SerializationWriter, ispmtPostRequestBody?: IspmtPostRequestBody | undefined): void;
