import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createKurtPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoKurtPostRequestBody;
export declare function deserializeIntoKurtPostRequestBody(kurtPostRequestBody?: KurtPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface KurtPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeKurtPostRequestBody(writer: SerializationWriter, kurtPostRequestBody?: KurtPostRequestBody | undefined): void;
