import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLowerPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLowerPostRequestBody;
export declare function deserializeIntoLowerPostRequestBody(lowerPostRequestBody?: LowerPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LowerPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeLowerPostRequestBody(writer: SerializationWriter, lowerPostRequestBody?: LowerPostRequestBody | undefined): void;
