import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMidPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMidPostRequestBody;
export declare function deserializeIntoMidPostRequestBody(midPostRequestBody?: MidPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MidPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The numChars property
     */
    numChars?: Json;
    /**
     * The startNum property
     */
    startNum?: Json;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeMidPostRequestBody(writer: SerializationWriter, midPostRequestBody?: MidPostRequestBody | undefined): void;
