import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMonthPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMonthPostRequestBody;
export declare function deserializeIntoMonthPostRequestBody(monthPostRequestBody?: MonthPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MonthPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The serialNumber property
     */
    serialNumber?: Json;
}
export declare function serializeMonthPostRequestBody(writer: SerializationWriter, monthPostRequestBody?: MonthPostRequestBody | undefined): void;
