import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNominalPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNominalPostRequestBody;
export declare function deserializeIntoNominalPostRequestBody(nominalPostRequestBody?: NominalPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NominalPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The effectRate property
     */
    effectRate?: Json;
    /**
     * The npery property
     */
    npery?: Json;
}
export declare function serializeNominalPostRequestBody(writer: SerializationWriter, nominalPostRequestBody?: NominalPostRequestBody | undefined): void;
