import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNorm_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNorm_InvPostRequestBody;
export declare function deserializeIntoNorm_InvPostRequestBody(norm_InvPostRequestBody?: Norm_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Norm_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The mean property
     */
    mean?: Json;
    /**
     * The probability property
     */
    probability?: Json;
    /**
     * The standardDev property
     */
    standardDev?: Json;
}
export declare function serializeNorm_InvPostRequestBody(writer: SerializationWriter, norm_InvPostRequestBody?: Norm_InvPostRequestBody | undefined): void;
