import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOct2HexPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOct2HexPostRequestBody;
export declare function deserializeIntoOct2HexPostRequestBody(oct2HexPostRequestBody?: Oct2HexPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Oct2HexPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The places property
     */
    places?: Json;
}
export declare function serializeOct2HexPostRequestBody(writer: SerializationWriter, oct2HexPostRequestBody?: Oct2HexPostRequestBody | undefined): void;
