import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProductPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProductPostRequestBody;
export declare function deserializeIntoProductPostRequestBody(productPostRequestBody?: ProductPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ProductPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeProductPostRequestBody(writer: SerializationWriter, productPostRequestBody?: ProductPostRequestBody | undefined): void;
