import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReplaceBPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReplaceBPostRequestBody;
export declare function deserializeIntoReplaceBPostRequestBody(replaceBPostRequestBody?: ReplaceBPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ReplaceBPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The newText property
     */
    newText?: Json;
    /**
     * The numBytes property
     */
    numBytes?: Json;
    /**
     * The oldText property
     */
    oldText?: Json;
    /**
     * The startNum property
     */
    startNum?: Json;
}
export declare function serializeReplaceBPostRequestBody(writer: SerializationWriter, replaceBPostRequestBody?: ReplaceBPostRequestBody | undefined): void;
