import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRightPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRightPostRequestBody;
export declare function deserializeIntoRightPostRequestBody(rightPostRequestBody?: RightPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RightPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The numChars property
     */
    numChars?: Json;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeRightPostRequestBody(writer: SerializationWriter, rightPostRequestBody?: RightPostRequestBody | undefined): void;
