import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRightbPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRightbPostRequestBody;
export declare function deserializeIntoRightbPostRequestBody(rightbPostRequestBody?: RightbPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RightbPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The numBytes property
     */
    numBytes?: Json;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeRightbPostRequestBody(writer: SerializationWriter, rightbPostRequestBody?: RightbPostRequestBody | undefined): void;
