import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSechPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSechPostRequestBody;
export declare function deserializeIntoSechPostRequestBody(sechPostRequestBody?: SechPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface SechPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeSechPostRequestBody(writer: SerializationWriter, sechPostRequestBody?: SechPostRequestBody | undefined): void;
