import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSqrtPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSqrtPostRequestBody;
export declare function deserializeIntoSqrtPostRequestBody(sqrtPostRequestBody?: SqrtPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSqrtPostRequestBody(writer: SerializationWriter, sqrtPostRequestBody?: SqrtPostRequestBody | undefined): void;
export interface SqrtPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
