import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStDevPAPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStDevPAPostRequestBody;
export declare function deserializeIntoStDevPAPostRequestBody(stDevPAPostRequestBody?: StDevPAPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStDevPAPostRequestBody(writer: SerializationWriter, stDevPAPostRequestBody?: StDevPAPostRequestBody | undefined): void;
export interface StDevPAPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
