import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTanPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTanPostRequestBody;
export declare function deserializeIntoTanPostRequestBody(tanPostRequestBody?: TanPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTanPostRequestBody(writer: SerializationWriter, tanPostRequestBody?: TanPostRequestBody | undefined): void;
export interface TanPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
}
