import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTbillYieldPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTbillYieldPostRequestBody;
export declare function deserializeIntoTbillYieldPostRequestBody(tbillYieldPostRequestBody?: TbillYieldPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTbillYieldPostRequestBody(writer: SerializationWriter, tbillYieldPostRequestBody?: TbillYieldPostRequestBody | undefined): void;
export interface TbillYieldPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The maturity property
     */
    maturity?: Json;
    /**
     * The pr property
     */
    pr?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
