import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimevaluePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimevaluePostRequestBody;
export declare function deserializeIntoTimevaluePostRequestBody(timevaluePostRequestBody?: TimevaluePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimevaluePostRequestBody(writer: SerializationWriter, timevaluePostRequestBody?: TimevaluePostRequestBody | undefined): void;
export interface TimevaluePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The timeText property
     */
    timeText?: Json;
}
