import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createYieldMatPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoYieldMatPostRequestBody;
export declare function deserializeIntoYieldMatPostRequestBody(yieldMatPostRequestBody?: YieldMatPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeYieldMatPostRequestBody(writer: SerializationWriter, yieldMatPostRequestBody?: YieldMatPostRequestBody | undefined): void;
export interface YieldMatPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The issue property
     */
    issue?: Json;
    /**
     * The maturity property
     */
    maturity?: Json;
    /**
     * The pr property
     */
    pr?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
