import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createZ_TestPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoZ_TestPostRequestBody;
export declare function deserializeIntoZ_TestPostRequestBody(z_TestPostRequestBody?: Z_TestPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeZ_TestPostRequestBody(writer: SerializationWriter, z_TestPostRequestBody?: Z_TestPostRequestBody | undefined): void;
export interface Z_TestPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The sigma property
     */
    sigma?: Json;
    /**
     * The x property
     */
    x?: Json;
}
