import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImageGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImageGetResponse;
export declare function deserializeIntoImageGetResponse(imageGetResponse?: ImageGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ImageGetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: string;
}
export declare function serializeImageGetResponse(writer: SerializationWriter, imageGetResponse?: ImageGetResponse | undefined): void;
