import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetSolidColorPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetSolidColorPostRequestBody;
export declare function deserializeIntoSetSolidColorPostRequestBody(setSolidColorPostRequestBody?: SetSolidColorPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetSolidColorPostRequestBody(writer: SerializationWriter, setSolidColorPostRequestBody?: SetSolidColorPostRequestBody | undefined): void;
export interface SetSolidColorPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The color property
     */
    color?: string;
}
