import { type WorkbookSortField } from '../../../../../../../../../../../models/workbookSortField';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fields property
     */
    fields?: WorkbookSortField[];
    /**
     * The matchCase property
     */
    matchCase?: boolean;
    /**
     * The method property
     */
    method?: string;
}
export declare function createApplyPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyPostRequestBody;
export declare function deserializeIntoApplyPostRequestBody(applyPostRequestBody?: ApplyPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyPostRequestBody(writer: SerializationWriter, applyPostRequestBody?: ApplyPostRequestBody | undefined): void;
