import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type DriveItem } from '../../../models/driveItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharedWithMeGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharedWithMeGetResponse;
export declare function deserializeIntoSharedWithMeGetResponse(sharedWithMeGetResponse?: SharedWithMeGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharedWithMeGetResponse(writer: SerializationWriter, sharedWithMeGetResponse?: SharedWithMeGetResponse | undefined): void;
export interface SharedWithMeGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DriveItem[];
}
