"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDismissPostRequestBody = exports.deserializeIntoDismissPostRequestBody = exports.createDismissPostRequestBodyFromDiscriminatorValue = void 0;
function createDismissPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDismissPostRequestBody;
}
exports.createDismissPostRequestBodyFromDiscriminatorValue = createDismissPostRequestBodyFromDiscriminatorValue;
function deserializeIntoDismissPostRequestBody(dismissPostRequestBody = {}) {
    return {
        "userIds": n => { dismissPostRequestBody.userIds = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoDismissPostRequestBody = deserializeIntoDismissPostRequestBody;
function serializeDismissPostRequestBody(writer, dismissPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("userIds", dismissPostRequestBody.userIds);
    writer.writeAdditionalData(dismissPostRequestBody.additionalData);
}
exports.serializeDismissPostRequestBody = serializeDismissPostRequestBody;
// tslint:enable
// eslint-enable
