import { PurgeAreas } from '../../../../../../../models/security/purgeAreas';
import { PurgeType } from '../../../../../../../models/security/purgeType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPurgeDataPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPurgeDataPostRequestBody;
export declare function deserializeIntoPurgeDataPostRequestBody(purgeDataPostRequestBody?: PurgeDataPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PurgeDataPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The purgeAreas property
     */
    purgeAreas?: PurgeAreas[];
    /**
     * The purgeType property
     */
    purgeType?: PurgeType;
}
export declare function serializePurgeDataPostRequestBody(writer: SerializationWriter, purgeDataPostRequestBody?: PurgeDataPostRequestBody | undefined): void;
