import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRunHuntingQueryPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRunHuntingQueryPostRequestBody;
export declare function deserializeIntoRunHuntingQueryPostRequestBody(runHuntingQueryPostRequestBody?: RunHuntingQueryPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RunHuntingQueryPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The query property
     */
    query?: string;
}
export declare function serializeRunHuntingQueryPostRequestBody(writer: SerializationWriter, runHuntingQueryPostRequestBody?: RunHuntingQueryPostRequestBody | undefined): void;
