import { type AttributeDefinition } from '../../../../../../../models/attributeDefinition';
import { type ExpressionInputObject } from '../../../../../../../models/expressionInputObject';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createParseExpressionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoParseExpressionPostRequestBody;
export declare function deserializeIntoParseExpressionPostRequestBody(parseExpressionPostRequestBody?: ParseExpressionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ParseExpressionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The expression property
     */
    expression?: string;
    /**
     * The targetAttributeDefinition property
     */
    targetAttributeDefinition?: AttributeDefinition;
    /**
     * The testInputObject property
     */
    testInputObject?: ExpressionInputObject;
}
export declare function serializeParseExpressionPostRequestBody(writer: SerializationWriter, parseExpressionPostRequestBody?: ParseExpressionPostRequestBody | undefined): void;
