"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCopyToSectionPostRequestBody = exports.deserializeIntoCopyToSectionPostRequestBody = exports.createCopyToSectionPostRequestBodyFromDiscriminatorValue = void 0;
function createCopyToSectionPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCopyToSectionPostRequestBody;
}
exports.createCopyToSectionPostRequestBodyFromDiscriminatorValue = createCopyToSectionPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCopyToSectionPostRequestBody(copyToSectionPostRequestBody = {}) {
    return {
        "groupId": n => { copyToSectionPostRequestBody.groupId = n.getStringValue(); },
        "id": n => { copyToSectionPostRequestBody.id = n.getStringValue(); },
        "siteCollectionId": n => { copyToSectionPostRequestBody.siteCollectionId = n.getStringValue(); },
        "siteId": n => { copyToSectionPostRequestBody.siteId = n.getStringValue(); },
    };
}
exports.deserializeIntoCopyToSectionPostRequestBody = deserializeIntoCopyToSectionPostRequestBody;
function serializeCopyToSectionPostRequestBody(writer, copyToSectionPostRequestBody = {}) {
    writer.writeStringValue("groupId", copyToSectionPostRequestBody.groupId);
    writer.writeStringValue("id", copyToSectionPostRequestBody.id);
    writer.writeStringValue("siteCollectionId", copyToSectionPostRequestBody.siteCollectionId);
    writer.writeStringValue("siteId", copyToSectionPostRequestBody.siteId);
    writer.writeAdditionalData(copyToSectionPostRequestBody.additionalData);
}
exports.serializeCopyToSectionPostRequestBody = serializeCopyToSectionPostRequestBody;
// tslint:enable
// eslint-enable
