"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWipePostRequestBody = exports.deserializeIntoWipePostRequestBody = exports.createWipePostRequestBodyFromDiscriminatorValue = void 0;
function createWipePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWipePostRequestBody;
}
exports.createWipePostRequestBodyFromDiscriminatorValue = createWipePostRequestBodyFromDiscriminatorValue;
function deserializeIntoWipePostRequestBody(wipePostRequestBody = {}) {
    return {
        "keepEnrollmentData": n => { wipePostRequestBody.keepEnrollmentData = n.getBooleanValue(); },
        "keepUserData": n => { wipePostRequestBody.keepUserData = n.getBooleanValue(); },
        "macOsUnlockCode": n => { wipePostRequestBody.macOsUnlockCode = n.getStringValue(); },
        "persistEsimDataPlan": n => { wipePostRequestBody.persistEsimDataPlan = n.getBooleanValue(); },
    };
}
exports.deserializeIntoWipePostRequestBody = deserializeIntoWipePostRequestBody;
function serializeWipePostRequestBody(writer, wipePostRequestBody = {}) {
    writer.writeBooleanValue("keepEnrollmentData", wipePostRequestBody.keepEnrollmentData);
    writer.writeBooleanValue("keepUserData", wipePostRequestBody.keepUserData);
    writer.writeStringValue("macOsUnlockCode", wipePostRequestBody.macOsUnlockCode);
    writer.writeBooleanValue("persistEsimDataPlan", wipePostRequestBody.persistEsimDataPlan);
    writer.writeAdditionalData(wipePostRequestBody.additionalData);
}
exports.serializeWipePostRequestBody = serializeWipePostRequestBody;
// tslint:enable
// eslint-enable
